Resource.add('board', function()
{
	
	function getBoardDOM()
	{
		var html = 
		'<div id="sidebar" class="sidebar">' +
			'<ul class="persons" id="persons">' +
				'<li class="person">' +
			'<img class="person-image" src="images/me.png" alt="" style="border-color: rgb(0,255,0); box-shadow: 6px 6px 12px rgba(0,255,0,0.6), -6px -6px 12px rgba(0,255,0,0.6), 6px -6px 12px rgba(0,255,0,0.6), -6px 6px 12px rgba(0,255,0,0.6);" />' +
					'<p class="person-name">Matthijn Dijkstra</p>' +
				'</li>' +		
			'</ul>' +
			
			'<div class="sidebar-buttons">' +
				'<a href="#" onclick="board.quitBoard();" class="sidebar-button">Quit</a>' +
			'</div>' +
		'</div>' +
		
		'<div id="boardSizeContainer" class="board-size-container">' +
			'<div id="board" class="board-container">' +
			'<div class="board-inner">' +
				'<div class="card" style="top: 0; left:0">' +
				'</div>' +	
			'</div>' +
			'</div>' +
		'</div>';
			
		return html;
	}
	
	function scaleBoard()
	{		
		var yPadding = 101;
		var xPadding = 100;

		var containerWidth = parseInt($('#boardSizeContainer').width());
		var containerHeight = parseInt($('#boardSizeContainer').height());
		
		var height = containerWidth / 3 * 2;
		if(height > containerHeight)
		{
			height = containerHeight;
		}
		
		width = height * 3 / 2;
		height -= yPadding;
		width -= xPadding;
		
		$('.board-container').height(height + 'px').width(width + 'px');
	}
	
	return {
		showBoardView: function()
		{
			//Get a new board DOM
			container.innerHTML = getBoardDOM();				
			
			//Setup automatic scaling of board
			scaleBoard();
			window.onresize = function() {
			 	scaleBoard();
			}	
			
		},
		
		quitBoard: function() 
		{
			game.showMainMenuView();
		}
	}	
	
});