package org.openhabbo.sessions;

public interface EServerMessage
{
	public final static int Hello = 0;
	public final static int SecretKey = 1;
	public final static int UserRights = 2;
	public final static int AuthenticationOK = 3;
	public final static int UserObject = 5;
	public final static int CreditBalance = 6;
	public final static int ScrSendUserInfo = 7;
	public final static int FriendListUpdate = 13;
	public final static int CloseConnection = 18;
	public final static int OpenConnection = 19;
	public final static int Chat = 24;
	public final static int Whisper = 25;
	public final static int Shout = 26;
	public final static int Users = 28;
	public final static int UserRemove = 29;
	public final static int HeightMap = 31;
	public final static int FloorItems = 32;
	public final static int GenericError = 33;
	public final static int UserUpdate = 34;
	public final static int UserBanned = 35;
	public final static int FlatAccessible = 41;
	public final static int YouAreController = 42;
	public final static int YouAreNotController = 43;
	public final static int NoSuchFlat = 44;
	public final static int WallItems = 45;
	public final static int RoomProperty = 46;
	public final static int YouAreOwner = 47;
	public final static int PostItData = 48;
	public final static int Ping = 50;
	public final static int FlatCreated = 59;
	public final static int DoorOtherEndDeleted = 63;
	public final static int DoorNotInstalled = 64;
	public final static int PurchaseError = 65;
	public final static int PurchaseOK = 67;
	public final static int NotEnoughBalance = 68;
	public final static int RoomReady = 69;
	public final static int PurchaseGiftError = 76;
	public final static int ItemAdd = 83;
	public final static int ItemRemove = 84;
	public final static int ItemUpdate = 85;
	public final static int ObjectDataUpdate = 88;
	public final static int DiceValue = 90;
	public final static int Doorbell = 91;
	public final static int ObjectAdd = 93;
	public final static int ObjectRemove = 94;
	public final static int ObjectUpdate = 95;
	public final static int InventoryInsert = 98;
	public final static int InventoryRemove = 99;
	public final static int InventoryUpdate = 101;

	public final static int CatalogIndex = 126;
	public final static int CatalogPage = 127;
	public final static int PresentOpened = 129;
	public final static int FlatAccessDenied = 131;
	public final static int FurniList = 140;
	public final static int PostItPlaced = 145;
	public final static int Notif = 161;
	public final static int VoucherRedeemOk = 212;
	public final static int VoucherRedeemError = 213;
	public final static int HeightMapUpdate = 219;
	public final static int UserFlatCats = 221;
	public final static int FlatCat = 222;
	public final static int RoomEntryError = 224;
	public final static int UserBadges = 228;
	public final static int Badges = 229;
	public final static int SlideObjectBundle = 230;
	public final static int SessionParams = 257;
	public final static int RoomAdvertisement = 258;
	public final static int UserChange = 266;
	public final static int InitCrypto = 227;
	public final static int RoomForward = 286;
	public final static int DisconnectReason = 287;
	public final static int PurchaseNotAllowed = 296;
	public final static int ErrorReport = 299;
	public final static int HabboGroupBadges = 309;
	public final static int OneWayDoorStatus = 312;
	public final static int BuddyRequests = 314;
	public final static int AcceptBuddyResult = 315;
	public final static int RoomInviteError = 262;
	public final static int RoomRating = 345;
	public final static int UserTyping = 361;
	public final static int CanCreateRoomEvent = 367;
	public final static int RoomEvent = 370;
	public final static int IgnoreResult = 419;
	public final static int IgnoredUsers = 420;
	public final static int HabboSearchResult = 435;
	public final static int Achievements = 436;
	public final static int AchievementNotification = 437;
	public final static int PixelsReceivedNotification = 438;
	public final static int UniqueMachineID = 439;
	public final static int RespectNotification = 440;
	public final static int CatalogPublished = 441;
	public final static int NavigatorFrontPageResult = 450;
	public final static int GuestRoomSearchResult = 451;
	public final static int PopularRoomTagsResult = 452;
	public final static int GetPublicRoomFiles = 453;
	public final static int GetGuestRoomResult = 454;
	public final static int HomeRoom = 455;
	public final static int RoomInfoUpdated = 456;
	public final static int RoomIconUpdateResult = 457;
	public final static int Favourites = 458;
	public final static int FavouriteChanged = 459;
	public final static int RoomSettingsData = 465;
	public final static int RoomSettingsError = 466;
	public final static int RoomSettingsSaved = 467;
	public final static int RoomSettingsSaveError = 468;
	public final static int FloorHeightMap = 470;
	public final static int RoomEntryInfo = 471;
	public final static int Dance = 480;
	public final static int Wave = 481;
	public final static int CarryObject = 482;
	public final static int UserMottoUpdate = 484;
	public final static int Sleep = 486;
	public final static int UseObject = 488;
	public final static int FlatControllerAdded = 510;
	public final static int FlatControllerRemoved = 511;
	public final static int CanCreateRoom = 512;
	public final static int PlaceObjectError = 516;
	public final static int InfoFeedEnable = 517;
	public final static int Signature = 1337;
}
