package org.openhabbo.sessions.handlers;

import org.openhabbo.sessions.Session;
import org.openhabbo.sessions.SessionMessageHandler;
import org.openhabbo.sessions.messages.ClientMessage;
import org.openhabbo.sessions.messages.ServerMessage;

public class OpenPubHandler implements SessionMessageHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Read the room ID of the public room the user wants to enter
		request.readBool(); // unk
		int roomId = request.readInt();

		// Go go go, don't supply a password, because its a public room!
		session.tryGetRoomAccess(roomId, "");
	}
}
