package org.openhabbo.sessions.handlers;

import org.openhabbo.net.messages.ClientMessage;
import org.openhabbo.net.messages.ServerMessage;
import org.openhabbo.sessions.EServerMessage;
import org.openhabbo.sessions.Session;
import org.openhabbo.sessions.SessionMessageHandler;

public class StartTypingHandler implements SessionMessageHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		ServerMessage msg = new ServerMessage(EServerMessage.UserTyping);
		msg.appendInt(session.getRoomUser().virtualId);
		msg.appendBool(true);

		session.getRoomInstance().broadcast(msg);
	}
}
