package mod_badges;

import org.openhabbo.modules.Module;
import org.openhabbo.modules.ModuleInfo;
import org.openhabbo.sessions.Session;

@ModuleInfo
(
		name = "mod_badges",
		description = "Enables support for badges for users, shown next to them in rooms etc.", 
		author = "Nils 'Nillus'",
		url = "http://modules.openhabbo.org/mod_badges/",
		version = "1.0.0",
		requires = {}
)
public final class mod_badges extends Module
{
	public mod_badges()
	{
		this.getAutoLoader().eventListener(Session.onLogin, new LoginHook());
		this.getAutoLoader().eventListener(Session.onLogout, new LogoutHook());

		this.getAutoLoader().msgHandler(157, new GetBadgesHandler());
		this.getAutoLoader().msgHandler(158, new UpdateBadgesHandler());
		this.getAutoLoader().msgHandler(159, new GetUserBadgesHandler());
	}
}
