package mod_decoration;

import org.openhabbo.modules.Module;
import org.openhabbo.modules.ModuleInfo;

@ModuleInfo
(
		name = "mod_decoration",
		description = "Enables support for room decoration items. These can be either wallpaper, floor or room landscapes.", 
		author = "Nils 'Nillus'",
		url = "http://modules.openhabbo.org/mod_decoration/",
		version = "1.0.0",
		dependencies = { }
)
public final class mod_decoration extends Module
{
	public mod_decoration()
	{
		this.getAutoLoader().itemImpl("Decoration", DecorationItem.class);
		
		this.getAutoLoader().msgHandler(66, new ApplyRoomDecoration());
	}
}
