package mod_effects;

import org.openhabbo.events.EventListener;
import org.openhabbo.rooms.instances.RoomUser;

public class RoomUserPulseHook implements EventListener
{
	@Override
	public boolean handle(Object subject, Object args)
	{
		RoomUser user = (RoomUser) subject;
		if(user.getSession() != null)
		{
			AvatarEffectInventory effects = user.getSession().get("effects");
			if(effects != null)
			{
				effects.checkAndStopExpiredEffects(user);
			}
		}
		return true;
	}
}
