package mod_messenger;

import org.openhabbo.sessions.EServerMessage;
import org.openhabbo.sessions.Session;
import org.openhabbo.sessions.SessionMessageHandler;
import org.openhabbo.sessions.messages.ClientMessage;
import org.openhabbo.sessions.messages.ServerMessage;

public class FriendsListUpdateHandler implements SessionMessageHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		InstantMessenger messenger = session.get("messenger");
		if(messenger != null)
		{
			response.init(EServerMessage.FriendListUpdate);
			response.appendInt(0);
			response.appendInt(messenger.getBuddies().size());
			response.appendInt(0);
			for(MessengerBuddy buddy : messenger.getBuddies())
			{
				response.appendObject(buddy);
				response.appendBool(false);
			}
			session.send(response);
		}
	}
}
