package mod_moderation.msgs;

import org.openhabbo.rooms.RoomManager;
import org.openhabbo.rooms.instances.RoomInstance;
import org.openhabbo.sessions.Session;
import org.openhabbo.sessions.SessionMessageHandler;
import org.openhabbo.sessions.messages.ClientMessage;
import org.openhabbo.sessions.messages.ServerMessage;

public class ModPerformRoomActionHandler implements SessionMessageHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Has mod?
		if(!session.getUser().rights.contains("fuse_mod"))
		{
			return;
		}
		
		// Read info
		int roomId = request.readInt();
		boolean lockRoom = request.readBool();
		boolean inappropriateRoom = request.readBool();
		boolean kickRoom = request.readBool();
		
		// Perform actions
		RoomInstance room = RoomManager.getInstance().getRoomInstance(roomId, false);
		if(room == null)
		{
			return;
		}
		
		// Lock room?
		if(lockRoom)
		{
			
		}
		
		// Change room to inappropriate?
		if(inappropriateRoom)
		{
			
		}
		
		// Kick users + stop event?
		if(kickRoom)
		{
			
		}
	}
}
