package mod_moderation.remote;


import org.openhabbo.remote.RemoteCommandHandler;
import org.openhabbo.support.SupportCenter;

public class UserAlertHandler implements RemoteCommandHandler
{
	@Override
	public void handle(String payload)
	{
		String[] args = payload.split(ARG_DELIMITER, 3);
		int issuerId = Integer.parseInt(args[0]);
		int userId = Integer.parseInt(args[1]);
		String message = args[2];

		SupportCenter sc = SupportCenter.getInstance();
		sc.issueUserAlert(issuerId, userId, message, "via remote");
	}
}
