package mod_roomevent;


import org.openhabbo.sessions.EServerMessage;
import org.openhabbo.sessions.Session;
import org.openhabbo.sessions.SessionMessageHandler;
import org.openhabbo.sessions.messages.ClientMessage;
import org.openhabbo.sessions.messages.ServerMessage;

public class CanCreateRoomEventHandler implements SessionMessageHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Check for error conditions
		int result = RoomEvent.canCreateRoomEvent(session);
		
		// Send result
		response.init(EServerMessage.CanCreateRoomEvent);
		response.appendBool((result == RoomEvent.ERROR_NONE));
		response.appendInt(result);
		session.send(response);
	}
}
