package mod_switchstate;

import org.openhabbo.items.Item;
import org.openhabbo.sessions.Session;
import org.openhabbo.util.GameUtil;

public class SwitchStateItem extends Item
{
	@Override
	public void onTrigger(Session session, int instruction)
	{
		// Parse current state + available states
		int state = GameUtil.parseInt(this.customData);
		int availableStates = GameUtil.parseInt(this.definition.data);
		
		// Next state!
		state++;
		if(state >= availableStates)
		{
			state = 0;
		}
		this.setPersistentData(Integer.toString(state));
	}
}
