package mod_tags;

import org.openhabbo.sessions.Session;
import org.openhabbo.sessions.SessionManager;

import mod_remote.RemoteCommandHandler;

public class ReloadTagsHandler implements RemoteCommandHandler
{
	@Override
	public void handle(String payload)
	{
		// Grab affected user
		int userId = Integer.parseInt(payload);
		Session session = SessionManager.getInstance().getSessionByUserId(userId);

		// User online?
		if(session != null)
		{
			// Reload tags!
			session.set("tags", mod_tags.getTagsForUser(session.getUser().id));
		}
	}
}
