package mod_trading;

import org.openhabbo.rooms.instances.RoomAvatar;
import org.openhabbo.rooms.instances.RoomUser;
import org.openhabbo.sessions.Session;
import org.openhabbo.sessions.SessionMessageHandler;
import org.openhabbo.sessions.messages.ClientMessage;
import org.openhabbo.sessions.messages.ServerMessage;

public class InitTradeHandler implements SessionMessageHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Get the users
		RoomUser me = session.getRoomUser();
		RoomAvatar other = session.getRoomInstance().getAvatarByavatarId(request.readInt());

		// Attempt to create a trade
		if(me != null && other != null && other instanceof RoomUser && session.getRoomInstance().getInfo().isGuestRoom())
		{
			Trade.create(me.getSession(), ((RoomUser)other).getSession());
		}
	}
}
