package mod_groups;

import org.openhabbo.modules.Module;
import org.openhabbo.modules.ModuleInfo;

@ModuleInfo
(
		name = "mod_groups",
		description = "Adds support for user groups. A group has a name, description, badge, forum, homeroom, etc. A user can be a member of multiple groups.",
		author = "Nils 'Nillus'",
		url = "http://habbo.nillus.net/modules/mod_groups/",
		version = "1.0.0",
		dependencies = { }
)
public final class mod_groups extends Module
{
	public mod_groups()
	{
		this.getAutoLoader().msgHandler(230, new GetGroupBadgesHandler());
	}
}
