package mod_helptool;

import org.openhabbo.sessions.Session;
import org.openhabbo.sessions.SessionMessageHandler;
import org.openhabbo.sessions.messages.ClientMessage;
import org.openhabbo.sessions.messages.ServerMessage;

public class ViewHelpTopicHandler implements SessionMessageHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		HelpTopic topic = HelpTool.getInstance().getTopic(request.readInt());
		if(topic != null)
		{
			response.init(520);
			response.appendInt(topic.id);
			response.appendStr(topic.text);
			session.send(response);
		}
	}

}
