package mod_motd;

import org.openhabbo.modules.ModuleEventListener;
import org.openhabbo.modules.ModuleResource;
import org.openhabbo.net.messages.ServerMessage;
import org.openhabbo.sessions.Session;
import org.openhabbo.util.SecurityUtil;

public class LoginHook implements ModuleEventListener
{
	@Override
	public void handle(ModuleResource source, Object args)
	{
		Session session = (Session)source;
		
		String message = mod_motd.get().getConfigValue("message");
		if(message != null)
		{
			ServerMessage msg = new ServerMessage(810);
			msg.appendBool(true);
			msg.append("MESSAGE OF THE DAY\r\r");
			msg.appendStr(SecurityUtil.filterStr(message));
			session.send(msg);
		}
	}
}
