package mod_pets;

import org.openhabbo.modules.Module;
import org.openhabbo.modules.ModulePayload;
import org.openhabbo.modules.Version;

public final class mod_pets extends Module
{
	public mod_pets()
	{
		super(new Version(1, 0, 0), "Enables support for pet 'furniture items'.", "Nils 'Nillus'", "http://habbo.nillus.net/mod_pets/");
	}

	@Override
	protected void initPayload(ModulePayload payload)
	{
		payload.msgHandler(42, new CheckPetNameHandler());
		payload.msgHandler(3000, new GetPetsInventoryHandler());
		payload.msgHandler(3001, new GetPetInfoHandler());
		payload.msgHandler(3002, new PlacePetHandler());
		payload.msgHandler(3003, new PickUpPetHandler());
		payload.msgHandler(3005, new RespectPetHandler());
	}
}
