package mod_quests;

import org.openhabbo.modules.Module;
import org.openhabbo.modules.ModuleInfo;

@ModuleInfo
(
		name = "mod_quests",
		description = "Adds support for quests. Quests are ongoing tasks that can be completed by users and users will be rewarded for doing them.",
		author = "Nils 'Nillus'",
		url = "http://habbo.nillus.net/modules/mod_quests/",
		version = "1.0.0",
		dependencies = { }
)
public final class mod_quests extends Module
{
	public mod_quests()
	{
		this.getAutoLoader().msgHandler(3101, new GetQuestsHandler());
		this.getAutoLoader().msgHandler(3102, new StartQuestHandler());
		this.getAutoLoader().msgHandler(3106, new StopQuestHandler());
		this.getAutoLoader().msgHandler(3107, new AcceptNextQuestHandler());
	}
}
