package mod_roomdimmer;

import org.openhabbo.modules.Module;
import org.openhabbo.modules.ModulePayload;
import org.openhabbo.modules.Version;

public final class mod_roomdimmer extends Module
{
	public mod_roomdimmer()
	{
		super(new Version(1, 0, 0), "Enables support for the Roomdimmer / Moodlight furniture item.", "Nils 'Nillus'", "http://habbo.nillus.net/mod_roomdimmer/");
	}

	@Override
	protected void initPayload(ModulePayload payload)
	{
		payload.itemImpl("RoomDimmer", RoomDimmerItem.class);

		payload.msgHandler(341, new GetRoomDimmerEditDataHandler());
		payload.msgHandler(342, new UpdateRoomDimmerHandler());
		payload.msgHandler(343, new SwitchRoomDimmerStatusHandler());
	}
}
