package mod_dice;

import org.openhabbo.registries.*;
import org.openhabbo.modules.Module;

public final class mod_dice extends Module
{
	public mod_dice()
	{
		super("1.0", "Enables support for dice furniture items, including the spinning bottle.", "Nils 'Nillus'", "http://habbo.nillus.net/mod_dice/");
	}

	@Override
	public boolean onLoad()
	{
		ItemImplRegistry.register("Dice", DiceItem.class);
		ItemImplRegistry.register("SpinningBottle", SpinningBottleItem.class);
		
		SessionMsgRegistry.register(76, new ThrowDiceHandler());
		SessionMsgRegistry.register(77, new CloseDiceHandler());
		
		return true;
	}

	@Override
	public void onUnload()
	{
		ItemImplRegistry.unregister("Dice");
		ItemImplRegistry.unregister("SpinningBottle");
		
		SessionMsgRegistry.unregister(76);
		SessionMsgRegistry.unregister(77);
		
	}
}
