package mod_messenger;

import org.openhabbo.modules.Module;
import org.openhabbo.registries.SessionMsgRegistry;

public final class mod_messenger extends Module
{
	public mod_messenger()
	{
		super("1.0", "Enables support for the in-game instant messenger.", "Nils 'Nillus'", "http://habbo.nillus.net/mod_messenger/");
	}

	@Override
	public boolean onLoad()
	{
		SessionMsgRegistry.register(12, new InitMessengerHandler());
		SessionMsgRegistry.register(15, new FriendsListUpdateHandler());
		SessionMsgRegistry.register(34, new SendInstantInviteHandler());
		SessionMsgRegistry.register(40, new RemoveBuddyHandler());
		SessionMsgRegistry.register(41, new SearchUserHandler());
		SessionMsgRegistry.register(33, new SendInstantMessageHandler());
		SessionMsgRegistry.register(37, new AcceptRequestHandler());
		SessionMsgRegistry.register(38, new DeclineRequestHandler());
		SessionMsgRegistry.register(39, new RequestBuddyHandler());
		SessionMsgRegistry.register(262, new FollowBuddyHandler());
		
		return true;
	}

	@Override
	public void onUnload()
	{
		SessionMsgRegistry.unregister(12);
		SessionMsgRegistry.unregister(15);
		SessionMsgRegistry.unregister(34);
		SessionMsgRegistry.unregister(40);
		SessionMsgRegistry.unregister(41);
		SessionMsgRegistry.unregister(33);
		SessionMsgRegistry.unregister(37);
		SessionMsgRegistry.unregister(38);
		SessionMsgRegistry.unregister(39);
		SessionMsgRegistry.unregister(262);
	}
	
	@Override
	public String getStatusString()
	{
		return "Up and running!";
	}
}
