package mod_vouchers;

import org.openhabbo.modules.Module;
import org.openhabbo.registries.SessionMsgRegistry;

public final class mod_vouchers extends Module
{
	public mod_vouchers()
	{
		super("1.0", "Enables support for in-game content voucher codes and redeeming.", "Nils 'Nillus'", "http://habbo.nillus.net/mod_vouchers/");
	}

	@Override
	public boolean onLoad()
	{
		SessionMsgRegistry.register(129, new RedeemVoucherHandler());
		return true;
	}

	@Override
	public void onUnload()
	{
		SessionMsgRegistry.unregister(129);
	}
}
