package org.openhabbo.communication.requests.handshake;

import org.openhabbo.communication.ClientMessage;
import org.openhabbo.communication.RequestHandler;
import org.openhabbo.communication.ServerMessage;
import org.openhabbo.sessions.Session;

public class SendSessionParamsHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// This contains the client build, server build, datetime format and base URL
		response.init(257);
		response.appendInt(9);
		response.appendInt(0);
		response.appendInt(0);
		response.appendInt(1);
		response.appendInt(1);
		response.appendInt(3);
		response.appendInt(0);
		response.appendInt(2);
		response.appendInt(1);
		response.appendInt(4);
		response.appendInt(0);
		response.appendInt(5);
		response.appendStr("dd-MM-yyyy");
		response.appendInt(7);
		response.appendBool(false);
		response.appendInt(8);
		response.appendStr("/client");
		response.appendInt(9);
		response.appendBool(false);
		session.send(response);
	}
}
