package org.openhabbo.communication.requests.navigator;

import org.openhabbo.communication.ClientMessage;
import org.openhabbo.communication.RequestHandler;
import org.openhabbo.communication.ServerMessage;
import org.openhabbo.sessions.Session;

public class EnterRoomViaDoorbellHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		int roomId = request.readInt();
		if(roomId == session.waitingForDoorbell)
		{
			session.waitingForDoorbell = 0;
			session.goToRoom(roomId);
		}
	}
}
