package org.openhabbo.communication.requests.navigator;

import org.openhabbo.communication.ClientMessage;
import org.openhabbo.communication.RequestHandler;
import org.openhabbo.communication.EServerMessage;
import org.openhabbo.communication.ServerMessage;
import org.openhabbo.sessions.Session;

public class GetHomeRoomHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Send the homeroom ID, 0 = no homeroom
		response.init(EServerMessage.HomeRoom);
		response.appendInt(session.getUser().homeRoomId);
		session.send(response);
	}
}
