package org.openhabbo.communication.requests.navigator;

import java.util.Random;

import org.openhabbo.communication.ClientMessage;
import org.openhabbo.communication.RequestHandler;
import org.openhabbo.communication.EServerMessage;
import org.openhabbo.communication.ServerMessage;
import org.openhabbo.sessions.Session;

public class GetPopularRoomTagsHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// TODO: don't use dummy data ofcourse!
		String[] tags = new String[] { };

		// Serialize the taglist
		response.init(EServerMessage.PopularRoomTagsResult);
		response.appendInt(tags.length);
		for(String tag : tags)
		{
			response.appendStr(tag);
			response.appendInt(new Random().nextInt(5) + 1); // Tag weight
		}
		session.send(response);
	}
}
