package org.openhabbo.rooms.instances;

public final class RoomCoordinate
{
	public final int x;
	public final int y;

	public RoomCoordinate(int x, int y)
	{
		this.x = x;
		this.y = y;
	}

	public final boolean equals(RoomCoordinate obj)
	{
		return(obj.x == this.x && obj.y == this.y);
	}
	
	@Override
	public final String toString()
	{
		return ("[" + this.x + "," + this.y + "]");
	}
}