package mod_effects;

import java.util.List;

import org.openhabbo.items.Item;
import org.openhabbo.sessions.Session;
import org.openhabbo.sessions.SessionManager;

public final class EffectItem extends Item
{
	@Override
	public void onPurchase(List<Item> shipping)
	{
		Session session = SessionManager.getInstance().getSessionByUserId(this.ownerId);
		EffectInventory inventory = session.get("effects");
		if(inventory != null)
		{
			inventory.addEffect(this.definition.displayId, 60 * 60); // Valid for 1 hour after activation
		}
	}
}
