package mod_effects;

import org.openhabbo.events.EventListener;
import org.openhabbo.sessions.Session;

public class LoginHook implements EventListener
{

	@Override
	public boolean handle(Object subject, Object args)
	{
		Session session = (Session) subject;

		// Reload effect inventory
		EffectInventory effects = new EffectInventory(session);
		effects.reload();

		// Attach effect inventory
		session.set("effects", effects);
		
		return true;
	}
}
