package mod_exchangefurni;

import org.openhabbo.communication.requests.room.items.ToggleItemHandler;
import org.openhabbo.modules.Module;
import org.openhabbo.modules.ModuleInfo;

@ModuleInfo
(
		name = "mod_exchangefurni",
		description = "Enables support for Exchange Furni, furniture items that can be redeemed to credits.",
		author = "Nils 'Nillus'",
		url = "http://modules.openhabbo.org/mod_exchangefurni/",
		version = "1.0.0",
		dependencies = { }
)
public final class mod_exchangefurni extends Module
{
	public mod_exchangefurni()
	{
		this.getAutoLoader().itemImpl("Exchange", ExchangeItem.class);
		
		this.getAutoLoader().msgHandler(183, new ToggleItemHandler());
	}
}
