package mod_messenger;

import org.openhabbo.events.EventListener;
import org.openhabbo.sessions.Session;

public class ChangeRoomHook implements EventListener
{
	@Override
	public boolean handle(Object subject, Object args)
	{
		Session session = (Session)subject;
		InstantMessenger messenger = session.get("messenger");
		
		// Has initialized messenger?
		if(messenger != null)
		{
			// Pending update, so buddies get the actual in-room status of each other + figure/motto changes
			messenger.updateStatus(false);
		}
		
		return true;
	}
}
