package mod_messenger.msgs;

import mod_messenger.InstantMessenger;

import org.openhabbo.communication.ClientMessage;
import org.openhabbo.communication.RequestHandler;
import org.openhabbo.communication.ServerMessage;
import org.openhabbo.sessions.Session;

public class FriendsListUpdateHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		InstantMessenger messenger = session.get("messenger");
		if(messenger != null)
		{
			messenger.sendUpdates();
		}
	}
}
