package mod_roomevent;


import org.openhabbo.communication.ClientMessage;
import org.openhabbo.communication.RequestHandler;
import org.openhabbo.communication.EServerMessage;
import org.openhabbo.communication.ServerMessage;
import org.openhabbo.sessions.Session;

public class CanCreateRoomEventHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Check for error conditions
		int result = RoomEvent.canCreateRoomEvent(session);
		
		// Send result
		response.init(EServerMessage.CanCreateRoomEvent);
		response.appendBool((result == RoomEvent.ERROR_NONE));
		response.appendInt(result);
		session.send(response);
	}
}
