package mod_subscription;

import java.util.List;

import org.openhabbo.events.EventListener;

import org.openhabbo.sessions.Session;

public class LoginHook implements EventListener
{	
	@Override
	public boolean handle(Object subject, Object args)
	{
		Session session = (Session) subject;
		
		// Load subscriptions
		List<UserSubscription> subscriptions = SubscriptionManager.getInstance().getSubscriptionsForUser(session.getUser().id);
		session.set("subscriptions", subscriptions);
		
		return true;
	}
}
