package mod_advertisement;


import org.openhabbo.communication.ClientMessage;
import org.openhabbo.communication.RequestHandler;
import org.openhabbo.communication.EServerMessage;
import org.openhabbo.communication.ServerMessage;
import org.openhabbo.sessions.Session;

public class GetAdvertisementHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Get a random room advertisement
		RoomAdvertisement ad = mod_advertisement.getRandomAdvertisement();
		
		// Send the data for the client
		response.init(EServerMessage.RoomAdvertisement);
		if(ad == null)
		{
			response.appendStr("");
			response.appendStr("");
		}
		else
		{
			response.appendStr(ad.imageUrl);
			response.appendStr(ad.clickUrl);
		}
		session.send(response);
	}
}
