package mod_rollers;

import org.openhabbo.modules.Module;
import org.openhabbo.modules.ModuleInfo;
import org.openhabbo.rooms.instances.RoomInstance;

@ModuleInfo
(
		name = "mod_rollers",
		description = "Adds support for roller furniture items in guestrooms. Rollers 'roll' on a set interval and move flooritems and avatars.",
		author = "Nils 'Nillus'",
		url = "http://habbo.nillus.net/modules/mod_rollers/",
		version = "1.0.0",
		dependencies = { }
)
public final class mod_rollers extends Module
{
	public final static int ROLLER_INTERVAL = 20 * 1000;
	
	public mod_rollers()
	{
		this.getAutoLoader().itemImpl("Roller", RollerItem.class);
		this.getAutoLoader().eventListener(RoomInstance.onPulseBegin, new RoomInstancePulseHook());
	}
}
