package mod_wired.actions;

import org.openhabbo.items.Item;
import org.openhabbo.rooms.instances.RoomUser;

import mod_wired.WiredAction;

public class WiredRestoreItemsToSnapshotsAction extends WiredAction
{
	public final static int PARAM_STATE = 0;
	public final static int PARAM_ROTATION = 1;
	public final static int PARAM_POSITION = 2;
	
	@Override
	protected int getInterface()
	{
		return 3;
	}
	
	@Override
	protected int getAmountOfParams()
	{
		return 3;
	}
	
	@Override
	public boolean requiresUser()
	{
		return false;
	}
	
	@Override
	public void execute(RoomUser user)
	{
		
	}

	public void updateSnapshots()
	{
		for(Item item : this.getSelectedItems())
		{
			this.getRoom().getAllUsers().toArray(new RoomUser[0])[0].getSession().sendNotif("Snapshotting item #" + item.id);
		}
	}
}