package mod_wired.addons;

import org.openhabbo.items.Item;
import org.openhabbo.rooms.instances.RoomAvatar;
import org.openhabbo.rooms.instances.RoomUser;

public class WiredPressurePad extends Item
{
	@Override
	public void onAvatarStepOn(RoomAvatar avatar)
	{
		super.onAvatarStepOn(avatar);
		if(avatar instanceof RoomUser)
		{
			this.setTempState("1");
		}
	}
	
	@Override
	public void onAvatarStepOff(RoomAvatar avatar)
	{
		super.onAvatarStepOff(avatar);
		if(avatar instanceof RoomUser)
		{
			this.setTempState("0");
		}
	}
}
