package mod_wired.addons;

import mod_switchstate.SwitchStateItem;

import org.openhabbo.items.EItemFlags;
import org.openhabbo.rooms.instances.RoomUser;

public class WiredSwitch extends SwitchStateItem
{
	@Override
	public boolean onToggle(RoomUser user, int instruction)
	{
		// User operating?
		if(user == null)
		{
			return false;
		}
		
		// Require touching
		if(!user.getTile().touches(this.getTile()) && user.canMove())
		{
			user.setGoal(this.getTileInFront());
			return false;
		}
		
		// Switch!
		return super.onToggle(user, instruction);
	}
}
