package net.nillus.habbo.communication.messages.incoming.friendlist;

import net.nillus.habbo.communication.ClientMessage;
import net.nillus.habbo.communication.RequestHandler;
import net.nillus.habbo.communication.ServerMessage;
import net.nillus.habbo.game.messenger.InstantMessenger;
import net.nillus.habbo.game.messenger.InstantMessengerService;
import net.nillus.habbo.sessions.Session;


public class AcceptBuddyHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		InstantMessenger messenger = session.getMessenger();
		
		int amount = request.readInt();
		for(int x = 0; x < amount; x++)
		{
			int fromUserId = request.readInt();
			if(messenger.hasRequest(fromUserId))
			{
				InstantMessengerService.getInstance().acceptBuddyRequest(session.getUser().id, fromUserId);
			}
		}
	}
}
