package net.nillus.habbo.communication.messages.incoming.recycler;

import net.nillus.habbo.communication.ClientMessage;
import net.nillus.habbo.communication.RequestHandler;
import net.nillus.habbo.communication.ServerMessage;
import net.nillus.habbo.sessions.Session;

public class GetRecyclerRewardsHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		response.init(506);
		response.appendInt(5); // Amount of levels
		for(int level = 5; level >= 1; level--)
		{
			response.appendInt(level);
			if(level <= 1)
			{
				response.appendInt(0);
			}
			else if(level == 2)
			{
				response.appendInt(4);
			}
			else if(level == 3)
			{
				response.appendInt(40);
			}
			else if(level == 4)
			{
				response.appendInt(200);
			}
			else if(level >= 5)
			{
				response.appendInt(2000);
			}
			response.appendInt(0); // awards
		}
		session.send(response);
	}
}
