package net.nillus.habbo.communication.messages.incoming.room.chat;

import net.nillus.habbo.communication.ClientMessage;
import net.nillus.habbo.communication.EServerMessage;
import net.nillus.habbo.communication.RequestHandler;
import net.nillus.habbo.communication.ServerMessage;
import net.nillus.habbo.sessions.Session;

public class StopTypingHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		if(session.inRoom())
		{
			response.init(EServerMessage.UserTyping);
			response.appendInt(session.getRoomUser().avatarId);
			response.appendBool(false);
			session.getRoomInstance().broadcast(response);
		}
	}
}
