package net.nillus.habbo.communication.messages.incoming.room.items;

import net.nillus.habbo.communication.ClientMessage;
import net.nillus.habbo.communication.RequestHandler;
import net.nillus.habbo.communication.ServerMessage;
import net.nillus.habbo.game.items.Item;
import net.nillus.habbo.game.items.impl.DiceItem;
import net.nillus.habbo.sessions.Session;

public class CloseDiceHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		int itemId = request.readInt();
		Item item = session.getRoomInstance().getItem(itemId);
		if(item != null && item instanceof DiceItem)
		{
			item.onToggle(session.getRoomUser(), -1);
		}
	}
}
