-- Simple bot AI --
-- Written by Nillus --

-- Config
servermessage = luajava:bind("net.nillus.habbo.communication.ServerMessage")
gossip =
{
	"I... really like being here...",
	"*yawns*",
	"I am a LUA scripted bot!",
	"*meh*"
}
keywords =
{
	{ "nils", "nillus" } =
	{
		"Did you say Nillus?",
		"Nillus? He scripted me!",
		"<3 Nillus"
	},
	{ "drink", "food" } =
	{
		"You're not getting any!",
		"What? Bring your own stuff! Do I look like a waiter or something?",
	}
}

-- AI 
function onSpawn(bot)
	bot:chat("Howdy! It's me, " .. bot:getInfo():name .. "!")
end

function onLeave(bot)
	bot:chat("gtg, byebye!")
end

function onUserEnter(bot, user)
	bot:chat("Hello " .. user:getInfo():username .. "!")
	bot:wave()
end

function onUserLeave(bot, user)
	bot:chat("Bye, " .. user:getInfo():username .. "!")
	bot:wave()
end

function onUserChat(bot, user, message)
	words = split(message, ",")
	-- TODO: check for keywords
end

function onPulse(bot)
	-- Do something random
	
	msg = servermessage:create(442)
	msg:appendInt(5)
	msg:appendStr("MIAUW")
	bot:getRoom():broadcast(msg)
end