package habbod.game.chatcommands.moderation;

import habbod.ServerInstance;
import habbod.game.chatcommands.ChatCommandHandler;
import habbod.game.moderation.ModerationCenter;
import habbod.game.util.GameError;
import habbod.sessions.Session;

public class UserKickCommand extends ChatCommandHandler
{
	@Override
	public void handle(Session session, String[] args) throws GameError
	{
		// Get args
		String username = args[0];
		String message = args[1];
				
		// Issue alert
		ModerationCenter ctr = ServerInstance.get().getGameMgr().getModerationCenter();
		ctr.issueUserKick(session.getUser().id, username, message);
	}
}
