package habbod.communication.messages.outgoing;

import habbod.communication.ServerMessage;

public final class SimpleEventComposer
{
	private final static ServerMessage[] cache = new ServerMessage[1024];
	
	public final static ServerMessage compose(final int msgType)
	{
		ServerMessage msg = cache[msgType];
		if(msg == null)
		{
			cache[msgType] = msg = ServerMessage.create(msgType);
		}
		
		return msg;
	}
}
