package habbod.communication.messages.outgoing.handshake;

import habbod.communication.EServerMessage;
import habbod.communication.ServerMessage;

public class SessionParamsMessageComposer
{
	public final static ServerMessage compose()
	{
		// This contains the client build, server build, datetime format and base URL
		ServerMessage msg = ServerMessage.create(EServerMessage.SessionParams);
		msg.appendInt(9);
		msg.appendInt(0);
		msg.appendInt(0);
		msg.appendInt(1);
		msg.appendInt(1);
		msg.appendInt(3);
		msg.appendInt(0);
		msg.appendInt(2);
		msg.appendInt(1);
		msg.appendInt(4);
		msg.appendInt(0);
		msg.appendInt(5);
		msg.appendStr("dd-MM-yyyy");
		msg.appendInt(7);
		msg.appendBool(false);
		msg.appendInt(8);
		msg.appendStr("/client");
		msg.appendInt(9);
		msg.appendBool(false);
		
		return msg;
	}
}
