package habbod.communication.messages.outgoing.inventory.avatareffect;

import habbod.communication.EServerMessage;
import habbod.communication.ServerMessage;
import habbod.game.users.effects.AvatarEffect;

public class AvatarEffectAddedMessageComposer
{
	public final static ServerMessage compose(AvatarEffect effect)
	{
		ServerMessage msg = ServerMessage.create(EServerMessage.AvatarEffects);
		msg.appendInt(effect.effectId);
		msg.appendInt(effect.totalDuration);
		
		return msg;
	}
}
