package habbod.communication.messages.outgoing.room.engine;

import habbod.communication.EServerMessageAlternate;
import habbod.communication.ServerMessage;
import habbod.game.rooms.instances.RoomAvatar;

public class RoomUserEffectMessageComposer
{
	public final static ServerMessage compose(RoomAvatar avatar, int effectToDisplay)
	{
		ServerMessage msg = ServerMessage.create(EServerMessageAlternate.ROOM_USER_EFFECT);
		msg.appendInt(avatar.avatarId);
		msg.appendInt(effectToDisplay);
		msg.appendInt(0);
		
		return msg;
	}
}
