package net.nillus.habbo.communication.messages.outgoing.inventory.trading;

import net.nillus.habbo.communication.EServerMessage;
import net.nillus.habbo.communication.ServerMessage;
import net.nillus.habbo.game.items.trading.TradePartner;

public class TradingAcceptMessageComposer
{
	public final static ServerMessage compose(TradePartner partner)
	{
		ServerMessage msg = ServerMessage.create(EServerMessage.TradingAccept);
		msg.appendInt(partner.getSession().getUser().id);
		msg.appendBool(partner.accepted());
		
		return msg;
	}
}
