package habbod.core;

import habbod.ServerInstance;

public final class ShutdownHook extends Thread
{
	private final ServerInstance instance;

	public ShutdownHook(ServerInstance instance)
	{
		this.instance = instance;
		Logger.getInstance().info("ShutdownHook", "Attached to habbod instance.");
	}

	@Override
	public void run()
	{
		this.instance.stop("JVM is exiting unexpectedly");
	}
}
