package net.nillus.habbo.communication.messages.incoming.inventory.trading;

import mod_trading.Trade;
import net.nillus.habbo.communication.RequestHandler;
import net.nillus.habbo.communication.messages.incoming.ClientMessage;
import net.nillus.habbo.communication.messages.outgoing.ServerMessage;
import net.nillus.habbo.items.Item;
import net.nillus.habbo.sessions.Session;

public class AddItemToTradeHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Get trade + item
		Trade trade = session.get("trade");
		Item item = session.getItemInventory().getItem(request.readInt());

		// Attempt to offer the item
		if(trade != null && item != null)
		{
			trade.get(session).addItem(item);
		}
	}
}
