package net.nillus.habbo.communication.messages.incoming.navigator;


import mod_roomevent.RoomEvent;
import net.nillus.habbo.communication.RequestHandler;
import net.nillus.habbo.communication.messages.incoming.ClientMessage;
import net.nillus.habbo.communication.messages.outgoing.EServerMessage;
import net.nillus.habbo.communication.messages.outgoing.ServerMessage;
import net.nillus.habbo.sessions.Session;

public class CanCreateEventHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Check for error conditions
		int result = RoomEvent.canCreateRoomEvent(session);
		
		// Send result
		response.init(EServerMessage.CanCreateRoomEvent);
		response.appendBool((result == RoomEvent.ERROR_NONE));
		response.appendInt(result);
		session.send(response);
	}
}
