package net.nillus.habbo.communication.messages.incoming.navigator;

import java.util.Random;

import net.nillus.habbo.communication.RequestHandler;
import net.nillus.habbo.communication.messages.incoming.ClientMessage;
import net.nillus.habbo.communication.messages.outgoing.EServerMessage;
import net.nillus.habbo.communication.messages.outgoing.ServerMessage;
import net.nillus.habbo.sessions.Session;

public class GetPopularRoomTagsHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// TODO: don't use dummy data ofcourse!
		String[] tags = new String[] { };

		// Serialize the taglist
		response.init(EServerMessage.PopularRoomTagsResult);
		response.appendInt(tags.length);
		for(String tag : tags)
		{
			response.appendStr(tag);
			response.appendInt(new Random().nextInt(5) + 1); // Tag weight
		}
		session.send(response);
	}
}
