package net.nillus.habbo.communication.messages.incoming.room.avatar;

import net.nillus.habbo.communication.RequestHandler;
import net.nillus.habbo.communication.messages.incoming.ClientMessage;
import net.nillus.habbo.communication.messages.outgoing.ServerMessage;
import net.nillus.habbo.rooms.instances.RoomTile;
import net.nillus.habbo.sessions.Session;

public class LookToHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		if(session.inRoom())
		{
			RoomTile tile = session.getRoomInstance().getMap().getTile(request.readInt(), request.readInt());
			if(tile != null)
			{
				session.getRoomUser().lookTo(tile, false);
			}
		}
	}
}
