package net.nillus.habbo.communication.messages.incoming.room.chat;

import net.nillus.habbo.communication.RequestHandler;
import net.nillus.habbo.communication.messages.incoming.ClientMessage;
import net.nillus.habbo.communication.messages.outgoing.EServerMessage;
import net.nillus.habbo.communication.messages.outgoing.ServerMessage;
import net.nillus.habbo.sessions.Session;

public class StartTypingHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		if(session.inRoom())
		{
			response.init(EServerMessage.UserTyping);
			response.appendInt(session.getRoomUser().avatarId);
			response.appendBool(true);
			session.getRoomInstance().broadcast(response);
		}
	}
}
