package net.nillus.habbo.communication.messages.incoming.room.session;

import net.nillus.habbo.communication.RequestHandler;
import net.nillus.habbo.communication.messages.incoming.ClientMessage;
import net.nillus.habbo.communication.messages.outgoing.ServerMessage;
import net.nillus.habbo.sessions.Session;

public class OpenGuestRoomHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Read the room ID of the room the user wants to enter, and the given password (if any)
		int roomId = request.readInt();
		String password = request.readStr();

		// Go go go, and supply the password the user provided (optionally)
		session.tryGetRoomAccess(roomId, password);
	}
}
