package habbod.game.rooms.items.floor;

import habbod.game.rooms.instances.RollerEngine;
import habbod.game.rooms.instances.RoomMap;
import habbod.game.rooms.instances.RoomTile;
import habbod.game.rooms.items.RoomFloorItem;

public final class RollerItem extends RoomFloorItem
{
	@Override
	public void onGenerateFloorMapTile(RoomMap map, RoomTile tile)
	{
		super.onGenerateFloorMapTile(map, tile);
		tile.height = (this.z + this.definition.height);
		if(!this.getRoom().has("rollerEngine"))
		{
			this.getRoom().set("rollerEngine", new RollerEngine(this.getRoom()));
		}
	}
}
