package habbod.game.rooms.items.wired.actions;

import habbod.game.rooms.instances.RoomUser;
import habbod.game.rooms.items.RoomFloorItem;
import habbod.game.rooms.items.wired.WiredAction;

public class WiredToggleItemsAction extends WiredAction
{
	@Override
	protected int getInterface()
	{
		return 8;
	}
	
	@Override
	protected int getAmountOfParams()
	{
		return 0;
	}
	
	@Override
	public boolean requiresUser()
	{
		return false;
	}
	
	
	@Override
	public void execute(RoomUser user)
	{
		for(RoomFloorItem item : this.getSelectedItems())
		{
			item.toggle(null, 0);
		}
	}
}
