package habbod.game.rooms.items.wired.addons;

import habbod.game.rooms.instances.RoomUser;
import habbod.game.rooms.items.floor.SwitchStateItem;

public class WiredSwitch extends SwitchStateItem
{
	@Override
	public boolean onToggle(RoomUser user, int instruction)
	{
		// User operating?
		if(user == null)
		{
			return false;
		}
		
		// Require touching
		if(!user.getTile().touches(this.getTile()) && user.canMove())
		{
			user.setGoal(this.getTileInFront());
			return false;
		}
		
		// Switch!
		return super.onToggle(null, instruction);
	}
}
