package habbod.game.rooms.navigator;

import habbod.game.rooms.Room;
import habbod.game.users.User;

import java.util.ArrayList;
import java.util.List;


public final class RoomCategory
{
	public int id;
	public String name;
	public String requiredRight;
	public List<Room> rooms = new ArrayList<Room>();

	public boolean isAccessibleTo(User user)
	{
		return user.rights.contains(this.requiredRight);
	}
}
