package net.nillus.habbo.game.catalog;

import java.util.List;

import net.nillus.habbo.game.items.Item;
import net.nillus.habbo.sessions.Session;

public abstract class PurchaseHandler
{
	public static final String ERROR_DATA = Character.toString((char)1);
	
	private CatalogProduct product;
	
	public CatalogProduct getProduct()
	{
		return this.product;
	}
	
	public void setProduct(CatalogProduct product)
	{
		this.product = product;
	}
	
	public abstract String processPurchaseData(String purchaseData);
	
	public abstract boolean handlePurchase(Session session, String purchaseData, List<Item> shipping);
}
