package habbod.communication.messages.incoming.friendlist;

import habbod.communication.ClientMessage;
import habbod.communication.RequestHandler;
import habbod.communication.ServerMessage;
import habbod.game.messenger.InstantMessenger;
import habbod.game.messenger.MessengerService;
import habbod.sessions.Session;


public class AcceptBuddyHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		InstantMessenger messenger = session.getMessenger();
		
		int amount = request.readInt();
		for(int x = 0; x < amount; x++)
		{
			int fromUserId = request.readInt();
			if(messenger.hasRequest(fromUserId))
			{
				MessengerService.getInstance().acceptBuddyRequest(session.getUser().id, fromUserId);
			}
		}
	}
}
