package habbod.communication.messages.incoming.inventory.trading;

import habbod.communication.ClientMessage;
import habbod.communication.RequestHandler;
import habbod.communication.ServerMessage;
import habbod.game.items.trading.Trade;
import habbod.game.rooms.instances.RoomAvatar;
import habbod.game.rooms.instances.RoomUser;
import habbod.sessions.Session;

public class OpenTradeHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Get the users
		RoomUser me = session.getRoomUser();
		RoomAvatar other = session.getRoomInstance().getAvatarByAvatarId(request.readInt());

		// Attempt to create a trade
		if(me != null && other != null && other instanceof RoomUser && session.getRoomInstance().getInfo().isGuestRoom())
		{
			Trade.create(me.getSession(), ((RoomUser)other).getSession());
		}
	}
}
