package habbod.communication.messages.incoming.navigator;

import habbod.communication.ClientMessage;
import habbod.communication.RequestHandler;
import habbod.communication.ServerMessage;
import habbod.game.rooms.Room;
import habbod.game.rooms.RoomManager;
import habbod.sessions.Session;

public class AddFavoriteRoomHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Get the room
		int roomId = request.readInt();
		Room room = RoomManager.getInstance().getRoomInfo(roomId);

		// Add the room
		if(room != null && room.isGuestRoom())
		{
			session.getFavoriteRooms().addFavorite(room.id);
		}
	}
}
