package habbod.communication.messages.incoming.navigator;

import habbod.communication.ClientMessage;
import habbod.communication.EServerMessage;
import habbod.communication.RequestHandler;
import habbod.communication.ServerMessage;
import habbod.sessions.Session;

public class CanCreateRoomHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// TODO: max rooms per user limit
		response.init(EServerMessage.CanCreateRoom);
		response.appendBool(false); // has error
		response.appendInt(-1); // if has error, then this = error ID
		session.send(response);
	}
}
