package habbod.communication.messages.incoming.navigator;

import habbod.communication.ClientMessage;
import habbod.communication.RequestHandler;
import habbod.communication.ServerMessage;
import habbod.game.rooms.navigator.RoomEvent;
import habbod.game.rooms.navigator.RoomEventManager;
import habbod.sessions.Session;

public class CancelEventHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		if(session.inRoom())
		{
			RoomEvent event = session.getRoomInstance().get("event");
			if(event != null && session.getRoomUser().hasRoomOwner)
			{
				RoomEventManager.getInstance().removeEvent(event);
			}
		}
	}
}
