package habbod.communication.messages.incoming.room.avatar;

import habbod.communication.ClientMessage;
import habbod.communication.RequestHandler;
import habbod.communication.ServerMessage;
import habbod.game.rooms.instances.RoomTile;
import habbod.game.rooms.instances.RoomUser;
import habbod.sessions.Session;

public class MoveHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		if(session.inRoom())
		{
			RoomUser user = session.getRoomUser();
			RoomTile tile = session.getRoomInstance().getMap().getTile(request.readInt(), request.readInt());
			if(user.canMove() && tile != null)
			{
				session.getRoomUser().setGoal(tile);
			}
		}
	}
}
