package habbod.communication.messages.incoming.room.chat;

import habbod.communication.ClientMessage;
import habbod.communication.EServerMessage;
import habbod.communication.RequestHandler;
import habbod.communication.ServerMessage;
import habbod.sessions.Session;

public class StartTypingHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		if(session.inRoom())
		{
			response.init(EServerMessage.UserTyping);
			response.appendInt(session.getRoomUser().avatarId);
			response.appendBool(true);
			session.getRoomInstance().broadcast(response);
		}
	}
}
