package net.nillus.habbo.communication.messages.incoming.friendlist;

import net.nillus.habbo.communication.ClientMessage;
import net.nillus.habbo.communication.RequestHandler;
import net.nillus.habbo.communication.ServerMessage;
import net.nillus.habbo.game.messenger.InstantMessenger;
import net.nillus.habbo.sessions.Session;


public class FriendsListUpdateHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		InstantMessenger messenger = session.getMessenger();
		if(messenger != null)
		{
			messenger.sendUpdates();
		}
	}
}
