package net.nillus.habbo.communication.messages.incoming.friendlist;

import java.util.Collection;

import net.nillus.habbo.communication.ClientMessage;
import net.nillus.habbo.communication.RequestHandler;
import net.nillus.habbo.communication.ServerMessage;
import net.nillus.habbo.communication.messages.outgoing.friendslist.MessengerInitMessageComposer;
import net.nillus.habbo.game.messenger.MessengerBuddy;
import net.nillus.habbo.sessions.Session;

public class InitMessengerHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		Collection<MessengerBuddy> buddies = session.getMessenger().getBuddies();
		session.send(MessengerInitMessageComposer.compose(buddies));
	}
}
