package net.nillus.habbo.communication.messages.incoming.help;

import net.nillus.habbo.communication.ClientMessage;
import net.nillus.habbo.communication.RequestHandler;
import net.nillus.habbo.communication.ServerMessage;
import net.nillus.habbo.game.help.HelpTool;
import net.nillus.habbo.game.help.HelpTopic;
import net.nillus.habbo.sessions.Session;

public class ViewHelpTopicHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		HelpTopic topic = HelpTool.getInstance().getTopic(request.readInt());
		if(topic != null)
		{
			response.init(520);
			response.appendInt(topic.id);
			response.appendStr(topic.text);
			session.send(response);
		}
	}

}
