package net.nillus.habbo.communication.messages.incoming.inventory.trading;

import net.nillus.habbo.communication.ClientMessage;
import net.nillus.habbo.communication.RequestHandler;
import net.nillus.habbo.communication.ServerMessage;
import net.nillus.habbo.game.items.trading.Trade;
import net.nillus.habbo.sessions.Session;

public class CompleteTradeHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		Trade trade = session.get("trade");
		if(trade != null)
		{
			trade.get(session).confirm();
		}
	}
}
