package net.nillus.habbo.communication.messages.incoming.room.session;

import net.nillus.habbo.communication.ClientMessage;
import net.nillus.habbo.communication.RequestHandler;
import net.nillus.habbo.communication.ServerMessage;
import net.nillus.habbo.sessions.Session;

public class OpenPublicRoomHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Read the room ID of the public room the user wants to enter
		int part = request.readInt();
		int roomId = request.readInt();

		// Go go go, don't supply a password, because its a public room!
		session.tryGetRoomAccess(roomId, "");
	}
}
