package mod_badges;

import net.nillus.habbo.events.EventListener;
import net.nillus.habbo.sessions.Session;


public class LogoutHook implements EventListener
{
	@Override
	public boolean handle(Object subject, Object args)
	{
		Session session = (Session) subject;

		// Save badge inventory
		BadgeInventory inventory = session.get("badges");
		if(inventory != null)
		{
			if(inventory.requiresSave())
			{
				inventory.save();
			}
			inventory.clear();
		}
		
		return true;
	}
}
