package mod_effects;

import net.nillus.habbo.events.EventListener;
import net.nillus.habbo.sessions.Session;

public class RoomEnterHook implements EventListener
{
	@Override
	public boolean handle(Object subject, Object args)
	{
		Session session = (Session) subject;

		// Session has effect?
		EffectInventory effects = session.get("effects");
		if(effects != null && effects.getCurrentEffect() > 0)
		{
			session.getRoomUser().setEffect(effects.getCurrentEffect(), true);
		}
		
		return true;
	}
}
