package mod_pets;

import net.nillus.habbo.events.EventListener;
import net.nillus.habbo.rooms.instances.RoomAvatar;
import net.nillus.habbo.rooms.instances.RoomInstance;

public class RoomInstanceUnloadHook implements EventListener
{
	@Override
	public boolean handle(Object subject, Object args) throws Exception
	{
		RoomInstance instance = (RoomInstance)subject;
		
		if(instance.getInfo().isGuestRoom())
		{
			for(RoomAvatar avatar : instance.getAllAvatars())
			{
				if(avatar instanceof RoomPet)
				{
					((RoomPet)avatar).syncAndSaveLocationInfo();
				}
			}
		}
		
		return true;
	}
}
