package mod_wired.actions;

import net.nillus.habbo.items.Item;
import net.nillus.habbo.rooms.instances.RoomUser;

import mod_wired.WiredAction;

public class WiredToggleItemsAction extends WiredAction
{
	@Override
	protected int getInterface()
	{
		return 8;
	}
	
	@Override
	protected int getAmountOfParams()
	{
		return 0;
	}
	
	@Override
	public boolean requiresUser()
	{
		return false;
	}
	
	
	@Override
	public void execute(RoomUser user)
	{
		for(Item item : this.getSelectedItems())
		{
			item.toggle(null, 0);
		}
	}
}
