package habbod.remote.commands;

import habbod.remote.RemoteCommandHandler;
import habbod.sessions.Session;
import habbod.sessions.SessionManager;

public class UserInventoryUpdateCommand implements RemoteCommandHandler
{
	@Override
	public void handle(String payload)
	{
		int userId = Integer.parseInt(payload);

		Session sess = SessionManager.getInstance().getSessionByUserId(userId);
		if(sess != null)
		{
			sess.getItemInventory().reload();
			sess.getItemInventory().refresh();
		}
	}
}
