package net.nillus.habbo.game.items.impl;

import net.nillus.habbo.game.items.Item;
import net.nillus.habbo.game.rooms.instances.RollerEngine;
import net.nillus.habbo.game.rooms.instances.RoomMap;
import net.nillus.habbo.game.rooms.instances.RoomTile;

public final class RollerItem extends Item
{
	@Override
	public void onGenerateFloorMapTile(RoomMap map, RoomTile tile)
	{
		super.onGenerateFloorMapTile(map, tile);
		tile.height = (this.z + this.definition.height);
		if(!this.getRoom().has("rollerEngine"))
		{
			this.getRoom().set("rollerEngine", new RollerEngine(this.getRoom()));
		}
	}
}
