package net.nillus.habbo.game.items.wired.actions;

import net.nillus.habbo.game.items.wired.WiredAction;
import net.nillus.habbo.game.rooms.instances.RoomUser;


public class WiredShowMsgAction extends WiredAction
{	
	@Override
	protected int getInterface()
	{
		return 7;
	}
	
	@Override
	protected int getAmountOfParams()
	{
		return 0;
	}
	
	@Override
	public boolean requiresUser()
	{
		return true;
	}
	
	@Override
	public void execute(RoomUser user)
	{
		if(!this.getText().isEmpty())
		{
			user.getSession().sendWhisperNotif(this.getText());
		}
	}
}
