package net.nillus.habbo.game.moderation;

import net.nillus.habbo.habbod;
import net.nillus.habbo.storage.SQLHelper;

public final class ModerationTicket
{
	// Ticket statuses
	public final static int STATUS_OPEN = 0;
	public final static int STATUS_PICKED = 1;
	public final static int STATUS_RESOLVED = 2;
	public final static int STATUS_ABUSIVE = 3;
	public final static int STATUS_INVALID = 4;
	public final static int STATUS_DELETED = 5;

	// Ticket info
	public int id;
	public int type;
	public long timestamp;
	public String message;
	
	// Ticket sender
	public int userId;
	public String userUsername;
	
	// Reported user (optionally)
	public int reportedUserId;
	public String reportedUsername;
	
	// Associated room
	public int roomId;
	public String roomName;
	
	// Tickt status
	public int status;
	public int pickerId;
	public String pickerUsername;
	public int priority;
	
	public void saveStatus()
	{
		habbod.getInstance().getDb().execute("UPDATE moderation_tickets SET status=" + this.status + ",picker_id=" + this.pickerId + ",lastupdate='" + SQLHelper.getDateTimeStr() + "' WHERE id=" + this.id);
	}
}
