package net.nillus.habbo.game.rooms;

import net.nillus.habbo.game.items.ItemDefinition;
import net.nillus.habbo.game.rooms.instances.RoomInstance;

public abstract class RoomItem
{
	public int id;
	public ItemDefinition definition;
	public String state;
	public String data;
	
	private RoomInstance room;
	
	public RoomInstance getRoom()
	{
		return this.room;
	}
	
	public void setRoom(RoomInstance room)
	{
		this.room = room;
	}
	
	public void setState(String state)
	{
		this.state = state;
		this.onStateUpdate();
	}
	
	protected abstract void onStateUpdate();
}
