package mod_subscription;


import net.nillus.habbo.game.chatcommands.ChatCommandHandler;
import net.nillus.habbo.game.users.subscriptions.SubscriptionManager;
import net.nillus.habbo.sessions.Session;
import net.nillus.habbo.util.GameError;

public class ReloadSubscriptionsCommandHandler implements ChatCommandHandler
{
	@Override
	public String getDescription()
	{
		return "Reloads all user roles and associated rights";
	}

	@Override
	public String getRequiredRight()
	{
		return "reload_server";
	}
	
	@Override
	public String[] getSyntax()
	{
		return null;
	}

	@Override
	public void handle(Session session, String[] args) throws GameError
	{
		SubscriptionManager.getInstance().reload();
		session.sendNotif(String.format("Reloaded all subscriptions."));
	}
}
