package habbod2.game.chatcommands.core;

import habbod2.System;
import habbod2.game.chatcommands.ChatCommandHandler;
import habbod2.game.util.GameError;
import habbod2.game.sessions.Session;

public class AboutCommand extends ChatCommandHandler
{
	@Override
	public void handle(Session session, String... args) throws GameError
	{
		StringBuilder notif = new StringBuilder();

		// Get the system
		System sys = System.get();
		
		// Append the legal info
		notif.append(sys.getVersionString());
		notif.append("\r");
		notif.append("Copyright (C) 2010-2012 - Nils 'Nillus'\r");
		notif.append("HABBO is a registered trademark of Sulake Corporation Oy. (www.sulake.com)\r\r");

		// Append the footer
		notif.append("Type :stats for system information.\r");

		// Send the message formatted as a system msg
		session.sendSystemNotif(notif.toString());
	}
}
