package habbod2.game.chatcommands.moderation;

import habbod2.System;
import habbod2.game.chatcommands.ChatCommandHandler;
import habbod2.game.moderation.ModerationCenter;
import habbod2.game.util.GameError;
import habbod2.game.sessions.Session;

public class RoomAlertCommand extends ChatCommandHandler
{
	@Override
	public void handle(Session session, String... args) throws GameError
	{
		ModerationCenter modCtr = System.get().getGameMgr().getModerationCenter();
		modCtr.issueRoomAlert(session.getUser().id, session.getRoom().getInfo().id, args[0], true);
	}
}
