package habbod2.game.chatcommands.moderation;

import habbod2.Instance;
import habbod2.game.chatcommands.ChatCommandHandler;
import habbod2.game.moderation.ModerationCenter;
import habbod2.game.util.GameError;
import habbod2.game.sessions.Session;

public class UserAlertCommand extends ChatCommandHandler
{
	@Override
	public void handle(Session session, String... args) throws GameError
	{
		ModerationCenter modCtr = Instance.get().getGameMgr().getModerationCenter();
		modCtr.issueUserAlert(session.getUser().id, args[0], args[1], true);
	}
}
