package habbod2.communication.messages.incoming.friendlist;

import habbod2.net.protocol.ClientMessage;
import habbod2.communication.RequestHandler;
import habbod2.communication.messages.outgoing.friendlist.BuddyRequestsMessageComposer;
import habbod2.game.sessions.Session;

import java.util.Set;
import java.util.Map.Entry;


public class GetBuddyRequestsHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request)
	{
		Set<Entry<Integer, String>> requests = session.getMessenger().getRequests();
		session.send(BuddyRequestsMessageComposer.compose(requests));
	}
}
