package habbod2.communication.messages.incoming.help;

import habbod2.System;
import habbod2.net.protocol.ClientMessage;
import habbod2.communication.RequestHandler;
import habbod2.game.help.HelpCategory;
import habbod2.game.help.HelpTool;
import habbod2.game.sessions.Session;
import habbod2.communication.messages.outgoing.help.FaqCategoryMessageComposer;

public class GetFaqCategoryHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request)
	{
		// Find requested category
		HelpTool tool = System.get().getGameMgr().getHelpTool();
		HelpCategory category = tool.getCategory(request.readInt());
		
		// Send requested category
		if(category != null)
		{
			session.send(FaqCategoryMessageComposer.compose(category));
		}
	}
}
