package habbod2.communication.messages.incoming.navigator;

import habbod2.System;
import habbod2.net.protocol.ClientMessage;
import habbod2.communication.RequestHandler;
import habbod2.game.rooms.navigator.RoomEvent;
import habbod2.game.rooms.navigator.RoomEventManager;
import habbod2.game.sessions.Session;

public class CancelEventHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request)
	{
		if(session.inRoom())
		{
			RoomEvent event = session.getRoom().getEvent();
			if(event != null && session.getRoomUser().hasRoomOwner)
			{
				RoomEventManager mgr = System.get().getGameMgr().getRoomEventMgr();
				mgr.removeEvent(event);
			}
		}
	}
}
