package habbod2.communication.messages.incoming.navigator;

import java.util.Collection;

import habbod2.System;
import habbod2.net.protocol.ClientMessage;
import habbod2.communication.DeferredRequestHandler;
import habbod2.communication.messages.outgoing.navigator.UserFlatCatsMessageComposer;
import habbod2.game.rooms.navigator.RoomCategory;
import habbod2.game.rooms.navigator.RoomNavigator;
import habbod2.game.sessions.Session;

public class GetUserFlatCatsHandler implements DeferredRequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request)
	{
		// Get all flat categories
		RoomNavigator navi = System.get().getGameMgr().getNavigator();
		Collection<RoomCategory> categories = navi.getCategories();

		// Send them
		session.send(UserFlatCatsMessageComposer.compose(categories));
	}
}
