package habbod2.communication.messages.incoming.room.session;

import habbod2.net.protocol.ClientMessage;
import habbod2.communication.RequestHandler;
import habbod2.game.sessions.Session;

public class OpenConnectionHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request)
	{
		// Read the room ID of the public room the user wants to enter
		int part = request.readInt();
		int roomId = request.readInt();

		// Go go go, don't supply a password, because its a public room!
		session.tryGetRoomAccess(roomId, "");
	}
}
