package habbod2.communication.messages.incoming.room.session;

import habbod2.net.protocol.ClientMessage;
import habbod2.communication.RequestHandler;
import habbod2.game.sessions.Session;

public class QuitHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request)
	{
		// User actually in a room?
		if(session.inRoom())
		{
			// Start a new movement trip to the door tile of this room (this will trigger leaving the room upon arrival)
			session.getRoomUser().setGoal(session.getRoomInstance().getMap().getDoor());
		}
	}
}
