package habbod2.communication.messages.incoming.sound;

import habbod2.net.protocol.ClientMessage;
import habbod2.communication.RequestHandler;
import habbod2.communication.messages.outgoing.sound.NowPlayingMessageComposer;
import habbod2.game.rooms.items.floor.JukeboxItem;
import habbod2.game.sessions.Session;

public class GetNowPlayingHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request)
	{
		JukeboxItem jukebox = session.getRoom().getJukebox();
		if(jukebox != null)
		{
			session.send(NowPlayingMessageComposer.compose(jukebox));
		}
	}
}
