package habbod2.communication.messages.incoming.sound;

import java.util.List;

import habbod2.net.protocol.ClientMessage;
import habbod2.communication.RequestHandler;
import habbod2.communication.messages.outgoing.sound.UserSongDisksInventoryMessageComposer;
import habbod2.game.music.SongDisk;
import habbod2.game.sessions.Session;

public class GetUserSongDisksHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request)
	{
		List<SongDisk> disks = SongDisk.findDisks(session.getItemInventory());
		session.send(UserSongDisksInventoryMessageComposer.compose(disks));
	}
}
