package habbod2.communication.messages.incoming.users;

import java.util.Collection;
import java.util.Collections;

import habbod2.net.protocol.ClientMessage;
import habbod2.communication.RequestHandler;
import habbod2.communication.messages.outgoing.users.GroupBadgesMessageComposer;
import habbod2.game.sessions.Session;
import habbod2.game.users.groups.UserGroup;

public class GetGroupBadgesHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request)
	{
		// Get all distinct groups in the room
		Collection<UserGroup> groups = Collections.emptyList();
		
		// Send info about their badges
		session.send(GroupBadgesMessageComposer.compose(groups));
	}
}
