package habbod2.communication.messages.incoming.users;

import java.util.Map;

import habbod2.net.protocol.ClientMessage;
import habbod2.communication.RequestHandler;
import habbod2.game.sessions.Session;
import habbod2.communication.messages.outgoing.users.IgnoredUsersMessageComposer;

public class GetIgnoredUsersHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request)
	{
		// Get ignored users
		Map<Integer, String> users = session.getIgnoredUsers();
		
		// Send ignored users
		session.send(IgnoredUsersMessageComposer.compose(users));
	}
}
