package habbod2.communication.messages;

public interface EServerMessage
{
	public static final int SecretKey = 1;
	public static final int UserRights = 2;
	public static final int AuthenticationOK = 3;
	public static final int UserObject = 5;
	public static final int CreditBalance = 6;
	public static final int ScrSendUserInfo = 7;
	public static final int MessengerInit = 12;
	public static final int FriendListUpdate = 13;
	public static final int CloseConnection = 18;
	public static final int OpenConnection = 19;
	public static final int Chat = 24;
	public static final int Whisper = 25;
	public static final int Shout = 26;
	public static final int FloodControl = 27;
	public static final int Users = 28;
	public static final int UserRemove = 29;
	public static final int PublicRoomObjects = 30;
	public static final int HeightMap = 31;
	public static final int Objects = 32;
	public static final int GenericError = 33;
	public static final int UserUpdate = 34;
	public static final int UserBanned = 35;
	public static final int ApproveName = 36;
	public static final int FlatAccessible = 41;
	public static final int YouAreController = 42;
	public static final int YouAreNotController = 43;
	public static final int NoSuchFlat = 44;
	public static final int Items = 45;
	public static final int RoomProperty = 46;
	public static final int YouAreOwner = 47;
	public static final int ItemDataUpdate = 48;
	public static final int Ping = 50;
	public static final int FlatCreated = 59;
	public static final int DoorOtherEndDeleted = 63;
	public static final int DoorNotInstalled = 64;
	public static final int PurchaseError = 65;
	public static final int PurchaseOK = 67;
	public static final int NotEnoughBalance = 68;
	public static final int RoomReady = 69;
	public static final int GiftReceiverNotFound = 76;
	public static final int VoteQuestion = 79;
	public static final int VoteResult = 80;
	public static final int ParkBusCannotEnter = 81;
	public static final int ItemAdd = 83;
	public static final int ItemRemove = 84;
	public static final int ItemUpdate = 85;
	public static final int ObjectDataUpdate = 88;
	public static final int DiceValue = 90;
	public static final int Doorbell = 91;
	public static final int ObjectAdd = 93;
	public static final int ObjectRemove = 94;
	public static final int ObjectUpdate = 95;
	public static final int OpenLockerRoom = 96;
	public static final int FurniListInsert = 98;
	public static final int FurniListRemove = 99;
	public static final int FurniListUpdate = 101;
	public static final int TradingYouAreNotAllowed = 102;
	public static final int TradingOtherNotAllowed = 103;
	public static final int TradingOpen = 104;
	public static final int TradingAlreadyOpen = 105;
	public static final int TradingNotOpen = 106;
	public static final int TradingNoSuchItem = 107;
	public static final int TradingItemList = 108;
	public static final int TradingAccept = 109;
	public static final int TradingClose = 110;
	public static final int TradingConfirmation = 111;
	public static final int TradingCompleted = 112;
	public static final int CatalogIndex = 126;
	public static final int CatalogPage = 127;
	public static final int PresentOpened = 129;
	public static final int FlatAccessDenied = 131;
	public static final int NewBuddyRequest = 132;
	public static final int NewConsole = 134;
	public static final int RoomInvite = 135;
	public static final int Broadcast = 139;
	public static final int FurniList = 140;
	public static final int PostItPlaced = 145;
	public static final int Mod = 161;
	public static final int RoomAd = 208;
	public static final int PetInfoMessageComp = 210;
	public static final int VoucherRedeemOk = 212;
	public static final int VoucherRedeemError = 213;
	public static final int HeightMapUpdate = 219;
	public static final int UserFlatCats = 221;
	public static final int FlatCat = 222;
	public static final int CantConnect = 224;
	public static final int UserBadges = 228;
	public static final int Badges = 229;
	public static final int SlideObjectBundle = 230;
	public static final int YouAreSpectator = 254;
	public static final int SessionParams = 257;
	public static final int Interstitial = 258;
	public static final int RoomQueueStatus = 259;
	public static final int MessengerError = 260;
	public static final int InstantMessageError = 261;
	public static final int RoomInviteError = 262;
	public static final int UserChange = 266;
	public static final int Wardrobe = 267;
	public static final int IssueDeleted = 273;
	public static final int CallForHelpReply = 274;
	public static final int InitCrypto = 277;
	public static final int ClubGiftNotification = 280;
	public static final int RoomForward = 286;
	public static final int DisconnectReason = 287;
	public static final int AvailabilityStatus = 290;
	public static final int InfoHotelClosing = 291;
	public static final int InfoHotelClosed = 292;
	public static final int AvailabilityTime = 293;
	public static final int LoginFailedHotelClosed = 294;
	public static final int PurchaseNotAllowed = 296;
	public static final int FurnitureAliases = 297;
	public static final int ErrorReport = 299;
	public static final int TraxSongInfo = 300;
	public static final int SoundSettings = 308;
	public static final int GroupBadges = 309;
	public static final int GroupDetails = 311;
	public static final int OneWayDoorStatus = 312;
	public static final int BuddyRequests = 314;
	public static final int AcceptBuddyResult = 315;
	public static final int PollOffer = 316;
	public static final int PollContents = 317;
	public static final int PollError = 318;
	public static final int CallForHelpPendingCalls = 319;
	public static final int CallForHelpPendingCallsDeleted = 320;
	public static final int CallForHelpResult = 321;
	public static final int PlayList = 323;
	public static final int NowPlaying = 327;
	public static final int UserSongDisksInventory = 333;
	public static final int JukeboxSongDisks = 334;
	public static final int PlayListSongAdded = 335;
	public static final int JukeboxPlayListFull = 337;
	public static final int RoomRating = 345;
	public static final int CreateEvent = 346;
	public static final int CancelEvent = 347;
	public static final int EditEvent = 348;
	public static final int FollowFriendFailed = 349;
	public static final int UserTags = 350;
	public static final int LatencyPingResponse = 354;
	public static final int UserTyping = 361;
	public static final int RoomDimmerPresets = 365;
	public static final int CanCreateRoomEvent = 367;
	public static final int RoomEvent = 370;
	public static final int IgnoreResult = 419;
	public static final int IgnoredUsers = 420;
	public static final int UserSearchResult = 435;
	public static final int Achievements = 436;
	public static final int AchievementNotification = 437;
	public static final int ActivityPointNotification = 438;
	public static final int RespectNotification = 440;
	public static final int CatalogPublished = 441;
	public static final int AchievementsScore = 443;
	public static final int AchievementShareId = 444;
	public static final int AchievementBonus = 445;
	public static final int OfficialRooms = 450;
	public static final int GuestRoomSearchResult = 451;
	public static final int PopularRoomTagsResult = 452;
	public static final int PublicSpaceCastLibs = 453;
	public static final int GetGuestRoomResult = 454;
	public static final int NavigatorSettings = 455;
	public static final int RoomInfoUpdated = 456;
	public static final int RoomThumbnailUpdateResult = 457;
	public static final int Favourites = 458;
	public static final int FavouriteChanged = 459;
	public static final int AvatarEffects = 460;
	public static final int AvatarEffectAdded = 461;
	public static final int AvatarEffectActivated = 462;
	public static final int AvatarEffectExpired = 463;
	public static final int AvatarEffectSelected = 464;
	public static final int RoomSettingsData = 465;
	public static final int RoomSettingsError = 466;
	public static final int RoomSettingsSaved = 467;
	public static final int RoomSettingsSaveError = 468;
	public static final int FloorHeightMap = 470;
	public static final int RoomEntryInfo = 471;
	public static final int RoomVisualizationSettings = 472;
	public static final int ObjectsDataUpdate = 473;
	public static final int Dance = 480;
	public static final int Wave = 481;
	public static final int CarryObject = 482;
	public static final int AvatarEffect = 485;
	public static final int Sleep = 486;
	public static final int UseObject = 488;
	public static final int GetEventStream = 500;
	public static final int SetEventStreamingAllowed = 501;
	public static final int ParkBusDoor = 503;
	public static final int RecyclerPrizes = 506;
	public static final int RecyclerStatus = 507;
	public static final int RecyclerFinished = 508;
	public static final int FlatControllerAdded = 510;
	public static final int FlatControllerRemoved = 511;
	public static final int CanCreateRoom = 512;
	public static final int PlaceObjectError = 516;
	public static final int InfoFeedEnable = 517;
	public static final int FaqClientFaqs = 518;
	public static final int FaqCategories = 519;
	public static final int FaqText = 520;
	public static final int FaqSearchResults = 521;
	public static final int FaqCategory = 522;
	public static final int IssueInfo = 530;
	public static final int ModeratorInit = 531;
	public static final int IssuePickFailed = 532;
	public static final int ModeratorUserInfo = 533;
	public static final int CfhChatlog = 534;
	public static final int RoomChatlog = 535;
	public static final int UserChatlog = 536;
	public static final int RoomVisits = 537;
	public static final int ModeratorRoomInfo = 538;
	public static final int ModeratorActionResult = 539;
	public static final int IssueCloseNotification = 540;
	public static final int ChangeUserNameResult = 570;
	public static final int CheckUserNameResult = 571;
	public static final int UserNameChanged = 572;
	public static final int HotelMergeNameChange = 573;
	public static final int TutorialStatus = 575;
	public static final int PetInventory = 600;
	public static final int PetInfoMessageNew = 601;
	public static final int PetLevelNotification = 602;
	public static final int PetAddedToInventory = 603;
	public static final int PetRemovedFromInventory = 604;
	public static final int PetCommands = 605;
	public static final int PetRespectNotification = 606;
	public static final int PetReceived = 607;
	public static final int PetPlacingError = 608;
	public static final int PetExperience = 609;
	public static final int MarketplaceConfiguration = 612;
	public static final int MarketplaceBuyOfferResult = 613;
	public static final int MarketplaceCancelOfferResult = 614;
	public static final int MarketPlaceOffers = 615;
	public static final int MarketPlaceOwnOffers = 616;
	public static final int MarketplaceItemStats = 617;
	public static final int GiftWrappingConfiguration = 620;
	public static final int PetRespectFailed = 621;
	public static final int IsOfferGiftable = 622;
	public static final int ClubGiftInfo = 623;
	public static final int ClubGiftSelected = 624;
	public static final int ClubOffers = 625;
	public static final int IdentityAccounts = 626;
	public static final int BadgePointLimits = 627;
	public static final int ActivityPoints = 628;
	public static final int ChargeInfo = 629;
	public static final int ClubExtendOffer = 630;
	public static final int WiredFurniTrigger = 650;
	public static final int WiredFurniAction = 651;
	public static final int WiredFurniCondition = 652;
	public static final int Open = 653;
	public static final int YouArePlayingGame = 700;
	public static final int GamePlayerValue = 701;
	public static final int Quests = 800;
	public static final int QuestCompleted = 801;
	public static final int Quest = 802;
	public static final int QuestCancelled = 803;
	public static final int ViralTeaserActive = 805;
	public static final int ViralFurniGiftReceived = 806;
	public static final int ViralFurniStatus = 807;
	public static final int UserNotification = 808;
	public static final int MOTDNotification = 810;
	public static final int OpenPetPackageRequested = 825;
	public static final int OpenPetPackageResult = 826;
	public static final int SellablePetBreeds = 827;
	public static final int WelcomeGiftStatus = 829;
	public static final int ChangeEmailResult = 830;
	public static final int FindFriendsProcessResult = 831;
	public static final int UnseenItems = 832;
	public static final int FriendNotification = 833;
	public static final int FaceBookAuthenticate = 901;
	public static final int FaceBookError = 902;
	public static final int FaceBookAppReques = 910;
	public static final int RequestSpamWallPostIt = 911;
	public static final int RoomMessageNotification = 912;
	public static final int Achievement = 913;
	public static final int EventStream = 950;
}
