package habbod2.communication.messages.outgoing.advertisement;

import habbod2.communication.messages.EServerMessage;
import habbod2.game.rooms.RoomAdvertisement;
import habbod2.net.protocol.ServerMessage;

public class InterstitialMessageComposer
{
	public static ServerMessage compose(RoomAdvertisement ad)
	{
		ServerMessage msg = ServerMessage.create(EServerMessage.Interstitial);
		if(ad == null)
		{
			msg.appendStr("");
			msg.appendStr("");
		}
		else
		{
			msg.appendStr(ad.imageUrl);
			msg.appendStr(ad.clickUrl);
		}
		
		return msg;
	}
}
