package habbod2.communication.messages.outgoing.catalog;

import habbod2.communication.messages.EServerMessage;
import habbod2.net.protocol.ServerMessage;

public class SellablePetBreedsMessageComposer
{
	public static ServerMessage compose(String productName, int petType, int breedAmount)
	{
		ServerMessage msg = ServerMessage.create(EServerMessage.SellablePetBreeds);
		msg.appendStr(productName);
		msg.appendInt(breedAmount);
		for(int breedId = 0; breedId < breedAmount; breedId++)
		{
			msg.appendInt(petType);
			msg.appendInt(breedId);
			msg.appendBool(true);
			msg.appendBool(false);
		}
		
		return msg;
	}
}
