package habbod2.communication.messages.outgoing.friendlist;

import java.util.Set;
import java.util.Map.Entry;

import habbod2.communication.EServerMessage;
import habbod2.net.protocol.ServerMessage;

public class BuddyRequestsMessageComposer
{
	public static ServerMessage compose(Set<Entry<Integer, String>> requests)
	{
		ServerMessage msg = ServerMessage.create(EServerMessage.BuddyRequests);
		msg.appendInt(requests.size());
		msg.appendInt(requests.size());
		for(Entry<Integer, String> request : requests)
		{
			msg.appendInt(request.getKey());
			msg.appendStr(request.getValue());
			msg.appendStr(request.getKey());
		}
		
		return msg;
	}
}
