package habbod2.communication.messages.outgoing.handshake;

import habbod2.communication.messages.EServerMessage;
import habbod2.net.protocol.ServerMessage;

public class SessionParamsMessageComposer
{
	public static ServerMessage compose(String dateFormat, String clientUrl)
	{
		// This contains the client build, server build, datetime format and base URL
		ServerMessage msg = ServerMessage.create(EServerMessage.SessionParams);
		msg.appendInt(9);
		msg.appendInt(0);
		msg.appendInt(0);
		msg.appendInt(1);
		msg.appendInt(1);
		msg.appendInt(3);
		msg.appendInt(0);
		msg.appendInt(2);
		msg.appendInt(1);
		msg.appendInt(4);
		msg.appendInt(0);
		msg.appendInt(5);
		msg.appendStr(dateFormat);
		msg.appendInt(7);
		msg.appendBool(false);
		msg.appendInt(8);
		msg.appendStr(clientUrl);
		msg.appendInt(9);
		msg.appendBool(false);
		
		return msg;
	}
}
