package habbod2.communication.messages.outgoing.help;

import java.util.Collection;

import habbod2.communication.EServerMessage;
import habbod2.net.protocol.ServerMessage;
import habbod2.game.help.HelpCategory;

public class FaqCategoriesMessageComposer
{
	public static ServerMessage compose(Collection<HelpCategory> categories)
	{
		ServerMessage msg = ServerMessage.create(EServerMessage.FaqCategories);
		msg.appendInt(categories.size());
		for(HelpCategory category : categories)
		{
			msg.appendInt(category.id);
			msg.appendStr(category.name);
			msg.appendInt(category.topics.size());
		}
		
		return msg;
	}
}
