package habbod2.communication.messages.outgoing.inventory.trading;

import habbod2.communication.EServerMessage;
import habbod2.net.protocol.ServerMessage;
import habbod2.game.items.trading.TradePartner;

public class TradingOpenMessageComposer
{
	public static ServerMessage compose(TradePartner p1, TradePartner p2)
	{
		ServerMessage msg = ServerMessage.create(EServerMessage.TradingOpen);
		msg.appendInt(p1.getSession().getUser().id);
		msg.appendBool(true);
		msg.appendInt(p2.getSession().getUser().id);
		msg.appendBool(true);
		
		return msg;
	}
}
