package habbod2.communication.messages.outgoing.room.action;

import habbod2.net.protocol.ServerMessage;
import habbod2.communication.messages.EServerMessage;
import habbod2.game.rooms.instance.RoomHuman;

public class CarryObjectMessageComposer
{
	public static ServerMessage compose(RoomHuman human)
	{
		ServerMessage msg = ServerMessage.create(EServerMessage.CarryObject);
		msg.appendInt(human.avatarId);
		msg.appendInt(human.carryItemId);
		msg.appendInt(human.carryItemTimer);
		
		return msg;
	}
}
