package habbod2.communication.messages.outgoing.room.engine;

import habbod2.communication.EServerMessage;
import habbod2.net.protocol.ServerMessage;
import habbod2.game.rooms.items.RoomFloorItem;

public class ObjectDataUpdateMessageComposer
{
	public static ServerMessage compose(RoomFloorItem item)
	{
		ServerMessage msg = ServerMessage.create(EServerMessage.ObjectDataUpdate);
		msg.appendStr(item.id);
		msg.appendStr(item.state);
		
		return msg;
	}
}
