package habbod2.communication.messages.outgoing.room.engine;

import habbod2.net.protocol.ServerMessage;
import habbod2.communication.EServerMessage;
import habbod2.game.rooms.Room;

public class RoomVisualizationSettingsMessageComposer
{
	public static ServerMessage compose(Room room)
	{
		ServerMessage msg = ServerMessage.create(EServerMessage.RoomVisualizationSettings);
		msg.appendBool(room.hideWalls);
		msg.appendInt(room.wallThickness);
		msg.appendInt(room.floorThickness);
		
		return msg;
	}
}
