package habbod2.communication.messages.outgoing.users;

import habbod2.net.protocol.ServerMessage;
import habbod2.communication.messages.EServerMessage;

public class IgnoreResultMessageComposer
{
	public static final int IGNORED = 1;
	public static final int FAILED = 2;
	public static final int UNIGNORED = 3;
	
	public static ServerMessage compose(int result)
	{
		ServerMessage msg = ServerMessage.create(EServerMessage.IgnoreResult);
		msg.appendInt(result);
		
		return msg;
	}
}
