package habbod2.communication.messages.outgoing.users;

import habbod2.net.protocol.ServerMessage;
import habbod2.communication.EServerMessage;
import habbod2.game.rooms.instances.RoomUser;

public class UserTagsMessageComposer
{
	public static ServerMessage compose(RoomUser user)
	{
		ServerMessage msg = ServerMessage.create(EServerMessage.UserTags);
		msg.appendInt(user.getInfo().id);
		msg.appendStrList(user.getSession().getUser().tags);
		
		return msg;
	}
}
