package habbod2.game.rooms.navigator;

import java.util.ArrayList;
import java.util.List;

import habbod2.game.rooms.Room;
import habbod2.game.users.User;

public class RoomCategory
{
	public int id;
	public String name;
	public String requiredRight;
	public List<Room> rooms = new ArrayList<Room>();

	public boolean isAccessibleTo(User user)
	{
		return user.rights.contains(this.requiredRight);
	}
}
