package habbod2.game.rooms.items.floor;

import habbod2.game.rooms.instance.RoomUser;
import habbod2.game.util.GameUtil;
import habbod2.game.rooms.items.RoomFloorItem;
import habbod2.util.StringUtil;

public class RandomStateItem extends RoomFloorItem
{
	@Override
	protected boolean onToggle(RoomUser user, int instruction)
	{
		// Requires touching
		if(user == null || user.touches(this))
		{
			int states = StringUtil.parseInt(this.definition.data);
			int state = GameUtil.getRandomInt(1, states - 1);
			this.setState(Integer.toString(state));
		}
		
		return false;
	}
}
