package habbod2.game.rooms.items.floor;

import habbod2.game.rooms.instances.RoomAvatar;
import habbod2.game.rooms.instances.RoomUser;
import habbod2.game.rooms.items.RoomFloorItem;

public class TriggerEffectItem extends RoomFloorItem
{
	@Override
	public void onAvatarStepOn(RoomAvatar avatar)
	{
		if(avatar instanceof RoomUser)
		{
			this.setState(1);
		}
		super.onAvatarStepOn(avatar);
	}
	
	@Override
	public void onAvatarStepOff(RoomAvatar avatar)
	{
		if(avatar instanceof RoomUser)
		{
			this.setState(0);
		}
		super.onAvatarStepOff(avatar);
	}
}
