package habbod2.game.rooms.items.football;

import habbod2.game.rooms.instances.RoomAvatar;
import habbod2.game.rooms.instances.RoomTile;
import habbod2.game.rooms.instances.RoomUser;
import habbod2.game.rooms.items.RoomFloorItem;
import habbod2.game.rooms.items.minigame.ScoreboardItem;
import habbod2.game.util.GameUtil;

public class CrappyItem extends RoomFloorItem
{
	@Override
	public void onAvatarStepOn(RoomAvatar avatar)
	{
		if(avatar instanceof RoomUser)
		{
			if(avatar.bodyDirection == 0)
			{
				
			}
			else if(avatar.bodyDirection == 1)
			{
				
			}
			else if(avatar.bodyDirection == 2)
			{
				
			}
			else if(avatar.bodyDirection == 3)
			{
				
			}
			else if(avatar.bodyDirection == 4)
			{
				
			}
			else if(avatar.bodyDirection == 5)
			{
				
			}
			else if(avatar.bodyDirection == 6)
			{
				
			}
			else if(avatar.bodyDirection == 7)
			{
				
			}
		}
	}
	
	public void pass(RoomAvatar avatar, Direction direction)
	{
		// Determine tile
		RoomTile tile = this.getRoom().getMap().getTile(0, 0);
		
		// Can pass into here?
		if(tile == null || tile.is(RoomTile.CLOSED))
		{
			this.pass(avatar, direction.invert());
			return;
		}
		
		// Move
		
		// Ended up in a goal?
		RoomFloorItem item = tile.topItem;
		if(item != null && item instanceof GoalItem)
		{
			// Determine team that was scored IN
			int team = GameUtil.parseInt(item.data);
			
			// Find score of this team
			for(RoomFloorItem i : this.getRoom().getFloorItems())
			{
				if(i instanceof ScoreboardItem) // Football Score
				{
					// Add score, process it from there (pass avatar)
				}
			}
		}
	}
	
	private static enum Direction
	{
		North,
		NorthEast,
		East,
		SouthEast,
		South,
		SouthWest,
		West,
		NorthWest;
		
		public Direction invert()
		{
			switch(this)
			{
				case North: return South;
				case NorthEast: return South;
				case East: return South;
				case SouthEast: return South;
				case South: return South;
				case SouthWest: return South;
				case West: return South;
				case NorthWest: return South;
				default: return this;
			}
		}
	}
}
