package habbod2.game.rooms.items.minigame.ball;

import habbod2.game.rooms.instance.RoomInstance;
import habbod2.game.rooms.items.RoomFloorItem;
import habbod2.game.rooms.minigames.BallGame;
import habbod2.game.rooms.minigames.GameTeam.ETeam;;

public class GoalItem extends RoomFloorItem
{
	private ETeam teamId;
	
	@Override
	public void onRoomAdd(RoomInstance room)
	{
		this.teamId = ETeam.valueOf(this.definition.data);
	}
	
	public ETeam getTeamId()
	{
		return this.teamId;
	}
	
	public ETeam getOpponentId()
	{
		return BallGame.getOpponent(this.teamId);
	}
}
