package habbod2.game.rooms.items.wired.conditions;

import habbod2.game.rooms.instance.RoomUser;
import habbod2.game.util.GameUtil;

public class UsersInRoomCondition extends TextValueCondition
{
	@Override
	public boolean evaluate(RoomUser user)
	{
		// Parse required amount
		int required = GameUtil.parseInt(this.getText());
		
		// Get current amount of users
		int current = user.getRoom().getInfo().usersNow;
		
		// Requires atleast the required amount!
		return (current >= required);
	}
}
