package habbod2.game.rooms.items.wired.extra;

import habbod2.game.rooms.instance.RoomAvatar;
import habbod2.game.rooms.instance.RoomUser;
import habbod2.game.rooms.items.RoomFloorItem;

public class PressurePadItem extends RoomFloorItem
{
	@Override
	public void onAvatarStepOn(RoomAvatar avatar)
	{
		if(avatar instanceof RoomUser)
		{
			this.setState(1);
		}
		super.onAvatarStepOn(avatar);
	}
	
	@Override
	public void onAvatarStepOff(RoomAvatar avatar)
	{
		if(avatar instanceof RoomUser)
		{
			this.setState(0);
		}
		super.onAvatarStepOff(avatar);
	}
}
