package habbod2.communication.messages.incoming.avatar;

import habbod2.Instance;
import habbod2.net.protocol.ClientMessage;
import habbod2.communication.RequestHandler;
import habbod2.game.users.UserManager;
import habbod2.game.sessions.Session;

public class SaveWardrobeOutfitHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request)
	{
		// Get the info of the slot to save
		int slot = request.readInt();
		String figure = request.readStr();
		char gender = request.readStr().toUpperCase().equals('F') ? 'F' : 'M';

		// Save slot
		UserManager mgr = Instance.get().getGameMgr().getUserMgr();
		mgr.modifyWardrobeForUser(session.getUser().id, slot, figure, gender);
	}
}
