package habbod2.communication.messages.incoming.inventory.pets;

import habbod2.net.protocol.ClientMessage;
import habbod2.communication.RequestHandler;
import habbod2.communication.messages.outgoing.inventory.pets.PetInventoryMessageComposer;
import habbod2.game.pets.PetInventory;
import habbod2.game.sessions.Session;

public class GetPetInventoryHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request)
	{
		// Get pet inventory
		PetInventory inventory = session.getPetInventory();
		
		// Send the inventory
		session.send(PetInventoryMessageComposer.compose(inventory));
	}
}
