package habbod2.communication.messages.outgoing;

import habbod2.net.protocol.ServerMessage;

public class SimpleEventComposer
{
	private static ServerMessage[] cache = new ServerMessage[1024];
	
	public static ServerMessage compose(final short msgType)
	{
		ServerMessage msg = cache[msgType];
		if(msg == null)
		{
			msg = ServerMessage.create(msgType);
			cache[msgType] = msg;
		}
		
		return msg;
	}
}
