package habbod2.communication.messages.outgoing.navigator;

import habbod2.communication.messages.EServerMessage;
import habbod2.net.protocol.ServerMessage;
import habbod2.game.rooms.Room;

public class GetGuestRoomResultMessageComposer
{
	public static ServerMessage compose(Room room, boolean isLoading, boolean isPreEnter)
	{
		ServerMessage msg = ServerMessage.create(EServerMessage.GetGuestRoomResult);
		msg.appendBool(isLoading);
		GuestRoomSearchResultMessageComposer.serializeGuestRoom(room, msg);
		msg.appendBool(isPreEnter);
		msg.appendBool(false);
		
		return msg;
	}
}
