package habbod2.communication.messages.outgoing.room.chat;

import habbod2.net.protocol.ServerMessage;
import habbod2.communication.messages.EServerMessage;
import habbod2.game.rooms.instance.RoomActor;

public class ChatMessageComposer
{
	public static ServerMessage compose(RoomActor actor, String message, int gesture)
	{
		ServerMessage msg = ServerMessage.create(EServerMessage.Chat);
		msg.appendInt(actor.actorId);
		msg.appendStr(message);
		msg.appendInt(gesture);
		
		return msg;
	}
}
