package habbod2.game.messenger;

import habbod2.game.sessions.Session;
import habbod2.util.StringUtil;

public class MessengerBuddy
{
	public int userId;
	public String username;
	public String figure;
	public String motto;
	public String lastOnline;
	public boolean blockRequests;
	public InstantMessenger messenger;
	
	public int refCount;
	
	public void setOnline(InstantMessenger messenger)
	{
		this.messenger = messenger;
		this.lastOnline = StringUtil.getCurrentDateTime();
	}
	
	public void setOffline()
	{
		this.setOnline(null);
	}
	
	public boolean isOnline()
	{
		return(this.messenger != null);
	}
	
	public String getOnlineStatus()
	{
		if(this.isOnline())
		{
			return StringUtil.getCurrentDateTime();
		}
		else
		{
			return this.lastOnline;
		}
	}
	
	public boolean inRoom()
	{
		return(this.isOnline() && this.messenger.getSession().inRoom());
	}
	
	public Session getSession()
	{
		if(this.isOnline())
		{
			return this.messenger.getSession();
		}
		else
		{
			return null;
		}
	}
}
