package habbod2.game.pets.ai.special;

import habbod2.game.pets.RoomPet;
import habbod2.game.pets.ai.PlayAction;
import habbod2.game.rooms.items.pets.PetAccessoryItem;
import habbod2.game.rooms.items.pets.TreeToyItem;

public abstract class TreeAction extends PlayAction
{
	public TreeAction(RoomPet pet)
	{
		super(pet);
	}

	@Override
	protected Class<? extends PetAccessoryItem> getItemType()
	{
		return TreeToyItem.class;
	}
	
	@Override
	protected String getNoItemFoundEvent()
	{
		return "noTree";
	}
}
