package habbod2.game.users.effects;

import habbod2.game.sessions.Session;
import habbod2.game.sessions.SessionManager;

public class EffectExpirationChecker extends Thread
{
	private SessionManager sessionMgr;
	
	public EffectExpirationChecker(SessionManager sessionMgr)
	{
		this.sessionMgr = sessionMgr;
	}
	
	@Override
	public void run()
	{
		for(Session session : this.sessionMgr.getAuthedSessions())
		{
			if(session.inRoom())
			{
				EffectInventory effects = session.getEffectInventory();
				if(effects != null)
				{
					effects.checkAndStopExpiredEffects();
				}
			}
		}
	}
}
