package habbod2.game.rooms.items.floor;

import habbod2.game.rooms.instance.RoomUser;
import habbod2.game.util.GameUtil;
import habbod2.game.rooms.items.RoomFloorItem;

public class RandomStateItem extends RoomFloorItem
{
	@Override
	protected void onToggle(RoomUser user, int instruction)
	{
		// Requires touching
		if(user == null || user.touches(this))
		{
			int state = GameUtil.getRandomInt(1, this.definition.states - 1);
			this.setState(state);
		}
	}
}
