package habbod2.game.rooms.items.pets;

import habbod2.game.rooms.geometry.Direction;
import habbod2.game.rooms.items.RoomFloorItem;

public abstract class PetAccessoryItem extends RoomFloorItem
{
	private boolean inUse;

	public boolean isInUse()
	{
		return this.inUse;
	}
	
	public void setInUse(boolean isInUse)
	{
		this.inUse = isInUse;
	}
	
	public boolean isValid()
	{
		return true;
	}
	
	public Direction getInteractDirection()
	{
		if(this.rotation > 0)
		{
			return Direction.get(this.rotation);
		}
		else
		{
			return Direction.East;
		}
	}
}
