package habbod2.game.rooms.items.wired.actions;

import habbod2.game.rooms.instance.RoomUser;
import habbod2.game.rooms.items.wired.WiredAction;
import habbod2.util.StringUtil;

public class DanceAction extends WiredAction
{	
	@Override
	public int getInterface()
	{
		return 7;
	}
	
	@Override
	protected int getAmountOfParams()
	{
		return 0;
	}
	
	@Override
	public boolean requiresUser()
	{
		return true;
	}
	
	@Override
	public void execute(RoomUser user)
	{
		int danceId = StringUtil.parseInt(this.getText());
		if(danceId >= 0)
		{
			user.dance(danceId);
		}
	}
}