package habbod2.game.rooms.items.wired.conditions;

import habbod2.game.rooms.instance.RoomUser;
import habbod2.game.rooms.items.wired.WiredCondition;

public class TimerElapsedLessThanCondition extends WiredCondition
{
	public static final int PARAM_TIME = 0;
	
	@Override
	public int getInterface()
	{
		return 4;
	}
	
	@Override
	protected int getAmountOfParams()
	{
		return 1;
	}
	
	@Override
	public boolean evaluate(RoomUser user)
	{
		return this.getRoom().getWiredResetTimer() < this.getParam(PARAM_TIME);
	}
}
