package habbod2.game.rooms.items.wired.extra;

import habbod2.game.rooms.instance.RoomActor;
import habbod2.game.rooms.instance.RoomUser;
import habbod2.game.rooms.items.RoomFloorItem;

public class PressurePadItem extends RoomFloorItem
{
	@Override
	public void onActorStepOn(RoomActor actor)
	{
		if(actor instanceof RoomUser)
		{
			this.setState(1);
		}
		super.onActorStepOn(actor);
	}
	
	@Override
	public void onActorStepOff(RoomActor actor)
	{
		if(actor instanceof RoomUser)
		{
			this.setState(0);
		}
		super.onActorStepOff(actor);
	}
}
