package habbod2.rcon.commands.user;

import habbod2.Instance;
import habbod2.game.sessions.Session;
import habbod2.rcon.RconCommandHandler;

public class UserBadgesUpdateCommand implements RconCommandHandler
{
	@Override
	public void handle(String payload)
	{
		// Parse args
		int userId = Integer.parseInt(payload);

		// Update session
		Session session = Instance.get().getGameMgr().getSessionMgr().getSessionByUserId(userId);
		if(session != null)
		{
			session.getBadgeInventory().reload();
			session.getBadgeInventory().refresh();
		}
	}
}
