package prinzip.engine;

import org.apache.log4j.Logger;

public class MemoryWatchdog implements Runnable
{
	private static final Logger logger = Logger.getLogger(MemoryWatchdog.class);
	
	@Override
	public void run()
	{
		Runtime vm = Runtime.getRuntime();
		logger.info(String.format("%.2f MiB",
				(vm.totalMemory() - vm.freeMemory()) / 1024f / 1024f));
	}
}
