package prinzip.util;

public interface TwitterErrorCodes
{
	// https://dev.twitter.com/docs/error-codes-responses
	public static final int BAD_TOKEN = 89;
	public static final int SUSPENDED = 64;
	public static final int OVER_CAPACITY = 130;
	public static final int OAUTH_TIMESTAMP_OUT_OF_RANGE = 135;
	
	// Custom, for internal use
	public static final int CANNOT_AUTHORIZE = 1337;
}
