// Starting...
console.log('Starting Karty...');

// Setup HTTP server for REST API + resources
var WebServer = require('./server/web');
WebServer.setDirectory('client/');
WebServer.setAvatarDirectory('client/avatars/');
WebServer.clearAvatars();
WebServer.listen(8080);

// Setup TableMaster
var TableMaster = require('./server/table/tables')
TableMaster.setTableLimit(8);

// Setup SessionManager
var SessionManager = require('./server/session/sessions');
SessionManager.createServer(1337);

// Ready!
console.log('Ready for connections!');