package org.openhabbo.rooms;

import java.util.Hashtable;
import java.util.Map;

import org.openhabbo.storage.DatabaseResult;

public final class RoomCategory
{
	public int id;
	public String name;
	public int minAccessLevel;
	public Map<Integer, Room> rooms = new Hashtable<Integer, Room>();

	public static RoomCategory parse(DatabaseResult row)
	{
		RoomCategory category = new RoomCategory();
		category.id = row.getInt("id");
		category.name = row.getString("name");
		category.minAccessLevel = row.getByte("min_access_level");
		return category;
	}
}
