package org.openhabbo.rooms.bots;

import org.openhabbo.rooms.instances.RoomAvatar;
import org.openhabbo.sessions.messages.ServerMessage;

public class RoomBot extends RoomAvatar
{
	private Bot bot;
	
	public RoomBot(Bot bot)
	{
		this.bot = bot;
	}
	
	public Bot getInfo()
	{
		return this.bot;
	}
	
	@Override
	protected void onChatFromAvatar(RoomAvatar from, String text, boolean isShout)
	{
		// Respond to questions etc!
	}

	@Override
	public void serialize(ServerMessage msg)
	{        
        msg.appendInt(this.bot.id);
        msg.appendStr(this.bot.name);
        msg.appendStr(this.bot.motto);
        msg.appendStr(this.bot.figure);
        msg.appendInt(this.avatarId);
        msg.appendInt(this.x);
        msg.appendInt(this.y);
        msg.appendStr(Float.toString(this.z));
        msg.appendInt(4);
        msg.appendInt(3);
	}
}
