package org.openhabbo.tasks;

public abstract class ModuleTask
{
	private long lastTime = 0;
	
	public final void executeTask()
	{
		this.lastTime = System.currentTimeMillis();
		this.onExecute();
	}
	
	protected abstract void onExecute();
	
	public final long getLastTime()
	{
		return this.lastTime;
	}
}
