package mod_dice;

import org.openhabbo.items.Item;
import org.openhabbo.net.messages.ClientMessage;
import org.openhabbo.net.messages.ServerMessage;
import org.openhabbo.sessions.Session;
import org.openhabbo.sessions.SessionMessageHandler;

public class CloseDiceHandler implements SessionMessageHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		int itemId = request.readInt();
		Item item = session.getRoomInstance().getItem(itemId);
		if(item != null && item instanceof DiceItem)
		{
			item.onTrigger(session, -1);
		}
	}
}
