package mod_dice;

import org.openhabbo.items.Item;
import org.openhabbo.sessions.Session;
import org.openhabbo.sessions.SessionMessageHandler;
import org.openhabbo.sessions.messages.ClientMessage;
import org.openhabbo.sessions.messages.ServerMessage;

public class ThrowDiceHandler implements SessionMessageHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		int itemId = request.readInt();
		Item item = session.getRoomInstance().getItem(itemId);
		if(item != null && (item instanceof DiceItem || item instanceof SpinningBottleItem))
		{
			item.onTrigger(session, 0);
		}
	}
}
