package mod_dice;

import org.openhabbo.modules.Module;
import org.openhabbo.modules.ModulePayload;
import org.openhabbo.modules.Version;

public final class mod_dice extends Module
{
	public mod_dice()
	{
		super(new Version(1, 0, 0), "Enables support for dice furniture items, including the spinning bottle.", "Nils 'Nillus'", "http://habbo.nillus.net/mod_dice/");
	}

	@Override
	protected void initPayload(ModulePayload payload)
	{
		payload.itemImpl("Dice", DiceItem.class);
		payload.itemImpl("SpinningBottle", SpinningBottleItem.class);

		payload.msgHandler(76, new ThrowDiceHandler());
		payload.msgHandler(77, new CloseDiceHandler());
	}
}
