package mod_effects;

import org.openhabbo.events.EventListener;
import org.openhabbo.sessions.Session;

public class LoginHook implements EventListener
{

	@Override
	public void handle(Object subject, Object args)
	{
		Session session = (Session) subject;

		// Reload effect inventory
		AvatarEffectInventory effects = new AvatarEffectInventory(session.getUser().id);
		effects.reload();

		// Attach effect inventory
		session.set("effects", effects);
	}
}
