package mod_effects;

import org.openhabbo.modules.Module;
import org.openhabbo.modules.ModulePayload;
import org.openhabbo.modules.Version;
import org.openhabbo.sessions.Session;
import org.openhabbo.sessions.handlers.GetRoomData3Handler;

public final class mod_effects extends Module
{
	public mod_effects()
	{
		super(new Version(1, 0, 0), "Enables support for avatar effects.", "Nils 'Nillus'", "http://modules.openhabbo.org/mod_effects/");
	}

	@Override
	protected void initPayload(ModulePayload payload)
	{
		payload.eventListener(Session.onLogin, new LoginHook());
		;
		payload.eventListener(Session.onRoomEnter, new RoomEnterHook());
		payload.eventListener(GetRoomData3Handler.onSendUserInfo, new EnterRoomSendUserInfoHook());

		payload.msgHandler(228, new GetAvatarEffectInventory());
		payload.msgHandler(372, new ApplyEffectHandler());
		payload.msgHandler(373, new EnableEffectHandler());
	}
}
