package mod_marketplace;

import org.openhabbo.modules.Module;
import org.openhabbo.modules.ModulePayload;
import org.openhabbo.modules.Version;

public final class mod_marketplace extends Module
{
	public mod_marketplace()
	{
		super(new Version(1, 0, 0), "Enables support for the in-game furniture marketplace.", "Nils 'Nillus'", "http://habbo.nillus.net/mod_marketplace/");
	}

	@Override
	protected void initPayload(ModulePayload payload)
	{
		payload.msgHandler(3010, new MarketplacePostItemHandler());
		payload.msgHandler(3012, new MarketplaceCanSellHandler());
		payload.msgHandler(3014, new MarketplacePurchaseHandler());
		payload.msgHandler(3015, new MarketplaceTakeBackHandler());
		payload.msgHandler(3016, new MarketplaceClaimCreditsHandler());
		payload.msgHandler(3018, new MarketplaceGetOffersHandler());
		payload.msgHandler(3019, new MarketplaceGetOwnOffersHandler());
	}

	@Override
	public boolean onLoad()
	{
		Marketplace.getInstance().reload();

		return true;
	}
}
