package mod_messenger;

import org.openhabbo.events.EventListener;
import org.openhabbo.sessions.Session;

public class LogoutHook implements EventListener
{
	@Override
	public boolean handle(Object subject, Object args)
	{
		Session session = (Session)subject;
		InstantMessenger messenger = session.get("messenger");
		
		// Has initialized messenger?
		if(messenger != null)
		{
			messenger.offline();
		}
		
		return true;
	}
}
