package mod_moderation.remotecmds;

import mod_moderation.ModerationCenter;

import org.openhabbo.remote.RemoteCommandHandler;

public class UserAlertHandler implements RemoteCommandHandler
{
	@Override
	public void handle(String payload)
	{
		String[] args = payload.split(ARG_DELIMITER, 3);
		int issuerId = Integer.parseInt(args[0]);
		int userId = Integer.parseInt(args[1]);
		String message = args[2];
		
		ModerationCenter.getInstance().issueUserAlert(issuerId, userId, message, "via remote");
	}
}
