package mod_postit;

import org.openhabbo.modules.Module;
import org.openhabbo.modules.ModulePayload;
import org.openhabbo.modules.Version;

public final class mod_postit extends Module
{
	public mod_postit()
	{
		super(new Version(1, 0, 0), "Enables support for post.it / sticky note furniture items.", "Nils 'Nillus'", "http://habbo.nillus.net/mod_postit/");
	}

	@Override
	protected void initPayload(ModulePayload payload)
	{
		payload.itemImpl("PostIt", PostItItem.class);
		payload.msgHandler(83, new OpenPostItHandler());
		payload.msgHandler(84, new SavePostItHandler());
		payload.msgHandler(85, new DeletePostItHandler());
	}
}
