package mod_roomdimmer;

public class RoomDimmerPreset
{
	private final static String[] ALLOWED_COLORS = { "#000000", "#0053F7", "#EA4532", "#82F349", "#74F5F5", "#E759DE", "#F2F851" };
	public final static String DEFAULT_COLOR = ALLOWED_COLORS[0];

	public String color;
	public int intensity;
	public boolean backgroundOnly;

	public static boolean isValidColor(String color)
	{
		for(int x = 0; x < ALLOWED_COLORS.length; x++)
		{
			if(ALLOWED_COLORS[x].equals(color))
			{
				return true;
			}
		}
		return false;
	}
}
