package mod_badges;

import org.openhabbo.modules.ModuleEventListener;
import org.openhabbo.modules.ModuleResource;
import org.openhabbo.sessions.Session;

public class LoginHook implements ModuleEventListener
{
	@Override
	public void handle(ModuleResource source, Object args)
	{
		Session session = (Session)source;
		
		// Load badge inventory
		BadgeInventory inventory = new BadgeInventory(session.getUser().id);
		inventory.reload();
		
		// Attach to session
		session.set("badges", inventory);
	}
}
