package mod_vendingmachine;

import org.openhabbo.items.ItemImplRegistry;
import org.openhabbo.modules.Module;
import org.openhabbo.modules.Version;

public final class mod_vendingmachine extends Module
{
	public mod_vendingmachine()
	{
		super(new Version(1, 0, 0), "Enables support for vending machine items.", "Nils 'Nillus'", "http://habbo.nillus.net/mod_vendingmachine/");
	}

	@Override
	public boolean onLoad()
	{
		ItemImplRegistry.register("VendingMachine", VendingMachineItem.class);
		return true;
	}

	@Override
	public void onUnload()
	{
		ItemImplRegistry.unregister("VendingMachine");
	}
}
