package mod_badges;

import org.openhabbo.modules.ModuleEventListener;
import org.openhabbo.modules.ModuleResource;
import org.openhabbo.sessions.Session;

public class LogoutHook implements ModuleEventListener
{
	@Override
	public void handle(ModuleResource source, Object args)
	{
		Session session = (Session)source;
		
		// Save badge inventory
		BadgeInventory inventory = session.get("badges");
		if(inventory != null)
		{
			if(inventory.requiresSave())
			{
				inventory.save();
			}
			inventory.clear();
		}
	}
}
