package mod_coreremotecmds;

import org.openhabbo.OpenHABBO;
import org.openhabbo.remote.RemoteCommandHandler;
import org.openhabbo.support.SupportCenter;

public class RoomKickHandler implements RemoteCommandHandler
{
	@Override
	public void handle(String payload)
	{
		String[] args = payload.split(ARG_DELIMITER, 3);
		int issuerId = Integer.parseInt(args[0]);
		int roomId = Integer.parseInt(args[1]);
		String message = args[2];

		SupportCenter sc = OpenHABBO.getInstance().getSupportCenter();
		sc.issueRoomKick(issuerId, roomId, message, "via remote");
	}
}
