package mod_favoriterooms;

import org.openhabbo.modules.Module;
import org.openhabbo.registries.SessionMsgRegistry;

public final class mod_favoriterooms extends Module
{
	public mod_favoriterooms()
	{
		super("1.0", "Enables users to keep a list of favorite guestrooms.", "Nils 'Nillus'", "http://habbo.nillus.net/mod_favoriterooms/");
	}

	@Override
	public boolean onLoad()
	{
		SessionMsgRegistry.register(19, new AddFavoriteHandler());
		SessionMsgRegistry.register(20, new RemoveFavoriteHandler());
		SessionMsgRegistry.register(435, new GetFavoriteRoomsHandler());
		return true;
	}

	@Override
	public void onUnload()
	{
		SessionMsgRegistry.unregister(19);
		SessionMsgRegistry.unregister(20);
		SessionMsgRegistry.unregister(435);
	}
}
