package mod_vendingmachine;

import org.openhabbo.modules.Module;
import org.openhabbo.registries.ItemImplRegistry;

public final class mod_vendingmachine extends Module
{
	public mod_vendingmachine()
	{
		super("1.0", "Enables support for vending machine items.", "Nils 'Nillus'", "http://habbo.nillus.net/mod_vendingmachine/");
	}

	@Override
	public boolean onLoad()
	{
		ItemImplRegistry.register("VendingMachineItem", VendingMachineItem.class);
		return true;
	}

	@Override
	public void onUnload()
	{
		ItemImplRegistry.unregister("VendingMachineItem");
	}
}
