package org.openhabbo.modules;

public abstract class Module
{
	private ModuleHost m_host;

	public final String name;
	public final String description;
	public final String author;
	public final String url;

	public Module(String name, String description, String author, String url)
	{
		this.name = name;
		this.description = description;
		this.author = author;
		this.url = url;
	}

	public abstract boolean onLoad();

	public abstract boolean onUnload();

	public ModuleHost getHost()
	{
		return m_host;
	}
}
