package org.openhabbo.communication.requests.navigator;

import org.openhabbo.communication.ClientMessage;
import org.openhabbo.communication.RequestHandler;
import org.openhabbo.communication.ServerMessage;
import org.openhabbo.sessions.Session;

public class OpenFlatHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Read the room ID of the room the user wants to enter, and the given password (if any)
		int roomId = request.readInt();
		String password = request.readStr();

		// Go go go, and supply the password the user provided (optionally)
		session.tryGetRoomAccess(roomId, password);
	}
}
