package org.openhabbo.communication.requests.room.self;

import org.openhabbo.communication.ClientMessage;
import org.openhabbo.communication.RequestHandler;
import org.openhabbo.communication.ServerMessage;
import org.openhabbo.rooms.instances.RoomTile;
import org.openhabbo.sessions.Session;

public class LookToHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		if(session.inRoom())
		{
			RoomTile tile = session.getRoomInstance().getMap().getTile(request.readInt(), request.readInt());
			if(tile != null)
			{
				session.getRoomUser().lookTo(tile, false);
			}
		}
	}
}
