package mod_badges;

import org.openhabbo.events.EventListener;

import org.openhabbo.sessions.Session;

public class LoginHook implements EventListener
{
	@Override
	public boolean handle(Object subject, Object args)
	{
		Session session = (Session) subject;

		// Load badge inventory
		BadgeInventory inventory = new BadgeInventory(session.getUser().id);
		inventory.reload();

		// Attach to session
		session.set("badges", inventory);
		
		return true;
	}
}
