package mod_dice;

import org.openhabbo.communication.ClientMessage;
import org.openhabbo.communication.RequestHandler;
import org.openhabbo.communication.ServerMessage;
import org.openhabbo.items.Item;
import org.openhabbo.sessions.Session;

public class CloseDiceHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		int itemId = request.readInt();
		Item item = session.getRoomInstance().getItem(itemId);
		if(item != null && item instanceof DiceItem)
		{
			item.onTrigger(session, -1);
		}
	}
}
