package mod_messenger.msgs;

import mod_messenger.InstantMessenger;
import mod_messenger.InstantMessengerService;

import org.openhabbo.communication.ClientMessage;
import org.openhabbo.communication.RequestHandler;
import org.openhabbo.communication.ServerMessage;
import org.openhabbo.sessions.Session;

public class AcceptRequestHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		InstantMessenger messenger = session.get("messenger");
		if(messenger != null)
		{
			int amount = request.readInt();
			for(int x = 0; x < amount; x++)
			{
				int fromUserId = request.readInt();
				if(messenger.hasRequest(fromUserId))
				{
					InstantMessengerService.getInstance().acceptBuddyRequest(session.getUser().id, fromUserId);
				}
			}
		}
	}
}
