package mod_postit;

import org.openhabbo.communication.ClientMessage;
import org.openhabbo.communication.RequestHandler;
import org.openhabbo.communication.EServerMessage;
import org.openhabbo.communication.ServerMessage;
import org.openhabbo.items.Item;
import org.openhabbo.sessions.Session;

public class OpenPostItHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		Item item = session.getRoomInstance().getItem(request.readInt());
		if(item != null && item instanceof PostItItem)
		{
			response.init(EServerMessage.PostItData);
			response.appendStr(item.id);
			response.append(item.state);
			response.append(' ');
			response.appendStr(item.data);
			session.send(response);
		}
	}
}
