package mod_trading;

import org.openhabbo.modules.Module;
import org.openhabbo.modules.ModuleInfo;
import org.openhabbo.sessions.Session;

@ModuleInfo
(
		name = "mod_trading",
		description = "Enables support for item trading between users.",
		author = "Nils 'Nillus'",
		url = "http://modules.openhabbo.org/mod_trading/",
		version = "1.0.0",
		dependencies = { }
)
public final class mod_trading extends Module
{
	public mod_trading()
	{
		this.getAutoLoader().eventListener(Session.onRoomExit, new ExitRoomHook());

		this.getAutoLoader().msgHandler(68, new UnacceptTradeHandler());
		this.getAutoLoader().msgHandler(69, new AcceptTradeHandler());
		this.getAutoLoader().msgHandler(70, new StopTradeHandler());
		this.getAutoLoader().msgHandler(71, new InitTradeHandler());
		this.getAutoLoader().msgHandler(72, new OfferTradeItemHandler());
		this.getAutoLoader().msgHandler(402, new CompleteTradeHandler());
		this.getAutoLoader().msgHandler(403, new StopTradeHandler());
		this.getAutoLoader().msgHandler(405, new TakeBackTradeItemHandler());
	}
}
