package mod_usage;

import org.openhabbo.communication.ClientMessage;
import org.openhabbo.communication.RequestHandler;
import org.openhabbo.communication.ServerMessage;
import org.openhabbo.core.Logger;
import org.openhabbo.sessions.Session;

public class ClientActionHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Get the action info
		String section = request.readStr();
		String component = request.readStr();
		String action = request.readStr();
		String data = request.readStr();
		
		// Log it for now, maybe insert it into the database?
		Logger.getInstance().debug(session, String.format("%s:%s->%s(%s)", section, component, action, data.isEmpty() ? "" : "\"" + data + "\""));
	}
}
