package mod_autokick;

import org.openhabbo.communication.EServerMessage;
import org.openhabbo.communication.ServerMessage;
import org.openhabbo.events.EventListener;
import org.openhabbo.rooms.instances.RoomAvatar;

public class RoomUserUnidleHook implements EventListener
{
	@Override
	public boolean handle(Object subject, Object args)
	{
		RoomAvatar user = (RoomAvatar)subject;
		
		// User was sleeping?
		if(user.unset("sleep"))
		{
			ServerMessage msg = new ServerMessage(EServerMessage.Sleep);
			msg.appendInt(user.avatarId);
			msg.appendBool(false);
			user.getRoom().broadcast(msg);
		}
		
		return true;
	}

}
