package mod_helptool;

import org.openhabbo.communication.ClientMessage;
import org.openhabbo.communication.RequestHandler;
import org.openhabbo.communication.ServerMessage;
import org.openhabbo.sessions.Session;

public class ViewHelpTopicHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		HelpTopic topic = HelpTool.getInstance().getTopic(request.readInt());
		if(topic != null)
		{
			response.init(520);
			response.appendInt(topic.id);
			response.appendStr(topic.text);
			session.send(response);
		}
	}

}
