package mod_rollers;

import org.openhabbo.events.EventListener;
import org.openhabbo.rooms.instances.RoomInstance;

public class RoomInstancePulseHook implements EventListener
{
	@Override
	public boolean handle(Object subject, Object args) throws Exception
	{
		RoomInstance room = (RoomInstance)subject;
		RollerEngine engine = room.get("rollerEngine");
		
		if(engine != null)
		{
			engine.update();
		}
		
		return true;
	}
}
