package mod_wired.triggers;

import org.openhabbo.communication.ServerMessage;
import org.openhabbo.rooms.instances.RoomUser;

import mod_wired.WiredTrigger;

public class WiredGameScoreAchievedTrigger extends WiredTrigger
{
	@Override
	public void onToggle(RoomUser user, int operation)
	{
		// Rights?
		if(!user.hasRoomRights)
		{
			return;
		}
		
		// Send info
		ServerMessage msg = new ServerMessage(651);
		msg.appendBool(false); // Enable the furni selection options
        msg.appendInt(5);
        msg.appendInt(0);
        msg.appendInt(this.definition.spriteId);
        msg.appendInt(this.id);
        msg.appendStr(""); // Text1
        msg.appendInt(2);
        msg.appendInt((Integer)this.getSetting("points"));
        msg.appendInt((Integer)this.getSetting("perGame"));
        msg.appendInt(0);
        msg.appendInt(6);
        user.getSession().send(msg);
	}
}
