package com.fjordev.eventgraph

import akka.actor.{Props, ActorSystem}

import actor.EventMaster, actor.EventMaster._

object ActorSandbox extends App
{
  // Create actor system + event master
  val master = ActorSystem("eventgraph").actorOf(Props[EventMaster], "master")

  // Amsterdam, city of clogs
  master ! AddEventsToDatabase("amsterdam")

  // Vicetone is cool too
  //master ! AddEventsToDatabase("vicetone")
}
