package net.nillus.habbo.communication.messages.outgoing.navigator;

import java.util.List;

import net.nillus.habbo.communication.EServerMessage;
import net.nillus.habbo.communication.ServerMessage;

public class FavoriteRoomsMessageComposer
{
	public final static ServerMessage compose(List<Integer> roomIds)
	{
		ServerMessage msg = ServerMessage.create(EServerMessage.Favourites);
		msg.appendInt(roomIds.size());
		for(int roomId : roomIds)
		{
			msg.appendInt(roomId);
		}
		
		return msg;
	}
}
