package net.nillus.habbo.communication.messages.outgoing.room.engine;

import net.nillus.habbo.communication.EServerMessageAlternate;
import net.nillus.habbo.communication.ServerMessage;
import net.nillus.habbo.game.rooms.instances.RoomAvatar;

public class RoomUserEffectMessageComposer
{
	public final static ServerMessage compose(RoomAvatar avatar, int effectToDisplay)
	{
		ServerMessage msg = ServerMessage.create(EServerMessageAlternate.ROOM_USER_EFFECT);
		msg.appendInt(avatar.avatarId);
		msg.appendInt(effectToDisplay);
		msg.appendInt(0);
		
		return msg;
	}
}
