package net.nillus.habbo.communication.messages.incoming.handshake;

import net.nillus.habbo.communication.ClientMessage;
import net.nillus.habbo.communication.RequestHandler;
import net.nillus.habbo.communication.ServerMessage;
import net.nillus.habbo.communication.messages.outgoing.handshake.SessionParamsMessageComposer;
import net.nillus.habbo.sessions.Session;

public class GetSessionParametersHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		session.send(SessionParamsMessageComposer.compose());
	}
}
