package net.nillus.habbo.communication.messages.incoming.handshake;

import net.nillus.habbo.communication.ClientMessage;
import net.nillus.habbo.communication.RequestHandler;
import net.nillus.habbo.communication.ServerMessage;
import net.nillus.habbo.sessions.Session;

public class InitCryptoHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		/* This is some kind of flaw by the client developers,
		 * client expects crypto settings now,
		 * but if server replies with session parameters directly,
		 * all crypto negotiation is skipped and communication can proceed unsecured */
		new GetSessionParametersHandler().handle(session, request, response);
		
		/*
		response.init(277);//EServerMessage.InitCrypto);
		response.appendBool(true);
		response.appendBool(false);
		
		session.send(response);
		*/
	}
}
