package habbod.communication.messages.outgoing.inventory.trading;

import habbod.communication.EServerMessage;
import habbod.communication.ServerMessage;
import habbod.game.items.trading.TradePartner;

public class TradingCloseByUserMessageComposer
{
	public final static ServerMessage compose(TradePartner partner)
	{
		ServerMessage msg = ServerMessage.create(EServerMessage.TradingCloseByUser);
		msg.appendInt(partner.getSession().getUser().id);
		
		return msg;
	}
}
