package habbod.communication.messages.outgoing.navigator;

import habbod.communication.EServerMessage;
import habbod.communication.ServerMessage;

import java.util.List;


public class FavoriteRoomsMessageComposer
{
	public final static ServerMessage compose(List<Integer> roomIds)
	{
		ServerMessage msg = ServerMessage.create(EServerMessage.Favourites);
		msg.appendInt(roomIds.size());
		for(int roomId : roomIds)
		{
			msg.appendInt(roomId);
		}
		
		return msg;
	}
}
