package habbod.util;

import java.io.FileInputStream;
import java.util.HashMap;
import java.util.Map;
import java.util.Map.Entry;
import java.util.Properties;

public class XmlEntryLoader
{
	public static Map<String, String> loadEntries(String file)
	{
		// Create empty results
		Map<String, String> entries = new HashMap<String, String>();
		
		// Attempt to load from the file
		try
		{
			Properties props = new Properties();
			props.loadFromXML(new FileInputStream(file));
			for(Entry<Object, Object> o : props.entrySet())
			{
				entries.put((String)o.getKey(), (String)o.getValue());
			}
		}
		catch (Exception ex)
		{
			
		
		}
		
		// Return any results
		return entries;
	}
}
