package net.nillus.habbo.communication.messages.incoming.inventory.achievements;

import net.nillus.habbo.communication.RequestHandler;
import net.nillus.habbo.communication.messages.incoming.ClientMessage;
import net.nillus.habbo.communication.messages.outgoing.ServerMessage;
import net.nillus.habbo.sessions.Session;

public class GetAchievementsHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		/*
		// Get both collections of achievements. The second Map is a mapping for every achievement this user has and it's current level
		Collection<Achievement> all = AchievementManager.getInstance().getAllAchievements();
		Map<Integer, Integer> my = session.getUser().achievements;

		// Gather the activities to list and their levels to show them with
		Map<Achievement, Integer> toShow = new HashMap<Achievement, Integer>();
		for(Achievement ach : all)
		{
			Integer myLevel = my.get(ach.id);
			if(myLevel == null)
			{
				// User hasn't got this badge yet!
				toShow.put(ach, Achievement.START_LEVEL);
			}
			else if(myLevel < ach.maxLevel)
			{
				// User hasn't got the max level of this badge yet, aim for current level + 1
				toShow.put(ach, myLevel.intValue() + 1);
			}
			else
			{
				// ... (user already has this achievement at max level, don't show it)
			}
		}

		// Build the response
		response.init(EServerMessage.Achievements);
		response.appendInt(toShow.size());
		for(Entry<Achievement, Integer> entry : toShow.entrySet())
		{
			// Shorthand variables
			Achievement ach = entry.getKey();
			int level = entry.getValue();

			// Serialize this achievement info
			response.appendInt(ach.id);
			response.appendInt(level);
			response.appendStr(ach.getBadge(level));
			response.appendInt(1); // Total progress needed
			response.appendInt(ach.getPixels(level)); // Pixel reward
			response.appendBool(false); // Don't hide stats
			response.appendInt(0); // Progress made
		}
		session.send(response);
	}*/
		
	session.sendNotif("Achievements have been disabled.");
	}
}
