package net.nillus.habbo.communication.messages.incoming.navigator;

import mod_roomevent.RoomEvent;
import mod_roomevent.RoomEventManager;
import net.nillus.habbo.communication.RequestHandler;
import net.nillus.habbo.communication.messages.incoming.ClientMessage;
import net.nillus.habbo.communication.messages.outgoing.ServerMessage;
import net.nillus.habbo.sessions.Session;

public class CancelEventHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		if(session.inRoom())
		{
			RoomEvent event = session.getRoomInstance().get("event");
			if(event != null && session.getRoomUser().hasRoomOwner)
			{
				RoomEventManager.getInstance().removeEvent(event);
			}
		}
	}
}
