package net.nillus.habbo.communication.messages.incoming.navigator;

import net.nillus.habbo.communication.RequestHandler;
import net.nillus.habbo.communication.messages.incoming.ClientMessage;
import net.nillus.habbo.communication.messages.outgoing.EServerMessage;
import net.nillus.habbo.communication.messages.outgoing.ServerMessage;
import net.nillus.habbo.sessions.Session;

public class GetHomeRoomHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Send the homeroom ID, 0 = no homeroom
		response.init(EServerMessage.HomeRoom);
		response.appendInt(session.getUser().homeRoomId);
		session.send(response);
	}
}
