package net.nillus.habbo.communication.messages.incoming.room.avatar;

import net.nillus.habbo.communication.RequestHandler;
import net.nillus.habbo.communication.messages.incoming.ClientMessage;
import net.nillus.habbo.communication.messages.outgoing.EServerMessage;
import net.nillus.habbo.communication.messages.outgoing.ServerMessage;
import net.nillus.habbo.rooms.instances.RoomUser;
import net.nillus.habbo.sessions.Session;

public class WaveHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		RoomUser user = session.getRoomUser();
		if(user != null)
		{
			response.init(EServerMessage.Wave);
			response.appendInt(user.avatarId);
			session.getRoomInstance().broadcast(response);
		}
	}
}
