package net.nillus.habbo.game.moderation;

import net.nillus.habbo.game.util.GameError;

public final class ModerationActionError extends GameError
{
	private static final long serialVersionUID = 1L;

	public ModerationActionError(String message)
	{
		super(message);
	}
	
	@Override
	public String generateNotif()
	{
		return String.format("Moderation action failed, reason: %s.", this.getMessage());
	}
}
