package habbod.communication.messages.incoming.handshake;

import habbod.communication.ClientMessage;
import habbod.communication.RequestHandler;
import habbod.communication.ServerMessage;
import habbod.communication.messages.outgoing.handshake.SessionParamsMessageComposer;
import habbod.sessions.Session;

public class GetSessionParametersHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		session.send(SessionParamsMessageComposer.compose());
	}
}
