package habbod.communication.messages.incoming.handshake;

import habbod.communication.ClientMessage;
import habbod.communication.RequestHandler;
import habbod.communication.ServerMessage;
import habbod.sessions.Session;

public class SSOTicketHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		String ticket = request.readStr();
		session.authenticate(ticket);
	}
}
