package mod_dice;

import net.nillus.habbo.communication.messages.incoming.room.engine.UseObjectHandler;
import net.nillus.habbo.communication.messages.incoming.room.items.CloseDiceHandler;
import net.nillus.habbo.communication.messages.incoming.room.items.ThrowDiceHandler;
import net.nillus.habbo.items.impl.DiceItem;
import net.nillus.habbo.items.impl.SpinningBottleItem;
import net.nillus.habbo.items.impl.WheelOfFortuneItem;
import net.nillus.habbo.modules.Module;
import net.nillus.habbo.modules.ModuleInfo;

@ModuleInfo
(
		name = "mod_dice",
		description = "Enables support for dice furniture items, including the spinning bottle.", 
		author = "Nils 'Nillus'",
		url = "http://modules.openhabbo.org/mod_dice/",
		version = "1.0.0",
		dependencies = { }
)
public final class mod_dice extends Module
{
	public mod_dice()
	{
		this.getAutoLoader().itemImpl("Dice", DiceItem.class);
		this.getAutoLoader().itemImpl("SpinningBottle", SpinningBottleItem.class);
		this.getAutoLoader().itemImpl("WheelOfFortune", WheelOfFortuneItem.class);
		this.getAutoLoader().msgHandler(76, new ThrowDiceHandler());
		this.getAutoLoader().msgHandler(77, new CloseDiceHandler());
		this.getAutoLoader().msgHandler(247, new UseObjectHandler());
	}
}
