package mod_exchangefurni;

import net.nillus.habbo.communication.messages.incoming.room.engine.UseObjectHandler;
import net.nillus.habbo.items.impl.ExchangeItem;
import net.nillus.habbo.modules.Module;
import net.nillus.habbo.modules.ModuleInfo;

@ModuleInfo
(
		name = "mod_exchangefurni",
		description = "Enables support for Exchange Furni, furniture items that can be redeemed to credits.",
		author = "Nils 'Nillus'",
		url = "http://modules.openhabbo.org/mod_exchangefurni/",
		version = "1.0.0",
		dependencies = { }
)
public final class mod_exchangefurni extends Module
{
	public mod_exchangefurni()
	{
		this.getAutoLoader().itemImpl("Exchange", ExchangeItem.class);
		
		this.getAutoLoader().msgHandler(183, new UseObjectHandler());
	}
}
