package mod_usage;

import net.nillus.habbo.communication.RequestHandler;
import net.nillus.habbo.communication.messages.incoming.ClientMessage;
import net.nillus.habbo.communication.messages.outgoing.ServerMessage;
import net.nillus.habbo.core.Logger;
import net.nillus.habbo.sessions.Session;

public class ClientActionHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Get the action info
		String section = request.readStr();
		String component = request.readStr();
		String action = request.readStr();
		String data = request.readStr();
		
		// Log it for now, maybe insert it into the database?
		Logger.getInstance().debug(session, String.format("%s:%s->%s(%s)", section, component, action, data.isEmpty() ? "" : "\"" + data + "\""));
	}
}
