package mod_marketplace;

import net.nillus.habbo.modules.Module;
import net.nillus.habbo.modules.ModuleInfo;

@ModuleInfo
(
		name = "mod_marketplace",
		description = "Enables support for the in-game furniture marketplace.", 
		author = "Nils 'Nillus'",
		url = "http://habbo.nillus.net/modules/mod_marketplace/",
		version = "1.0.0",
		dependencies = { }
)
public final class mod_marketplace extends Module
{
	public mod_marketplace()
	{
		this.getAutoLoader().msgHandler(3010, new MarketplacePostItemHandler());
		this.getAutoLoader().msgHandler(3012, new MarketplaceCanSellHandler());
		this.getAutoLoader().msgHandler(3014, new MarketplacePurchaseHandler());
		this.getAutoLoader().msgHandler(3015, new MarketplaceTakeBackHandler());
		this.getAutoLoader().msgHandler(3016, new MarketplaceClaimCreditsHandler());
		this.getAutoLoader().msgHandler(3018, new MarketplaceGetOffersHandler());
		this.getAutoLoader().msgHandler(3019, new MarketplaceGetOwnOffersHandler());
	}

	@Override
	public boolean onLoad()
	{
		Marketplace.getInstance().reload();

		return true;
	}
}
