package mod_autokick;

import net.nillus.habbo.communication.EServerMessage;
import net.nillus.habbo.communication.ServerMessage;
import net.nillus.habbo.events.EventListener;
import net.nillus.habbo.game.rooms.instances.RoomUser;
import net.nillus.habbo.sessions.Session;

public class EnterRoomSendUserInfoHook implements EventListener
{
	@Override
	public boolean handle(Object subject, Object args)
	{
		Session session = (Session) subject;
		RoomUser user = (RoomUser) args;

		// User is asleep?
		if(user.has("sleep"))
		{
			ServerMessage msg = new ServerMessage(EServerMessage.Sleep);
			msg.appendInt(user.avatarId);
			msg.appendBool(true);
			session.send(msg);
		}
		
		return true;
	}

}
