package mod_moderation.remotecmds;

import net.nillus.habbo.game.moderation.ModerationActionError;
import net.nillus.habbo.game.moderation.ModerationCenter;
import net.nillus.habbo.remote.RemoteCommandHandler;


public class RoomAlertHandler implements RemoteCommandHandler
{
	@Override
	public void handle(String payload)
	{
		String[] args = payload.split(ARG_DELIMITER, 3);
		int issuerId = Integer.parseInt(args[0]);
		int roomId = Integer.parseInt(args[1]);
		String message = args[2];

		try
		{
			ModerationCenter.getInstance().issueRoomAlert(issuerId, roomId, message, true);
		}
		catch(ModerationActionError e)
		{
			
		}
	}
}
