package mod_motd;

import net.nillus.habbo.communication.ServerMessage;
import net.nillus.habbo.events.EventListener;
import net.nillus.habbo.game.util.SecurityUtil;
import net.nillus.habbo.sessions.Session;

public class LoginHook implements EventListener
{
	@Override
	public boolean handle(Object subject, Object args)
	{
		Session session = (Session) subject;

		String message = mod_motd.get().getConfigValue("message");
		if(message != null)
		{
			ServerMessage msg = new ServerMessage(810);
			msg.appendBool(true);
			msg.appendStr(SecurityUtil.filterStr(message));
			session.send(msg);
		}
		
		return true;
	}
}
