package habbod2.game.chatcommands.room;

import habbod2.game.chatcommands.ChatCommandHandler;
import habbod2.game.util.GameError;
import habbod2.game.sessions.Session;

public class UnloadCommand extends ChatCommandHandler
{
	@Override
	public void handle(Session session, String... args) throws GameError
	{
		if(session.getRoomUser().hasRoomOwner)
		{
			session.getRoom().requestUnload();
		}
	}
}
