package habbod2.communication;

public interface EClientMessage
{
	public static final int OpenConnection = 2;
	public static final int InfoRetrieve = 7;
	public static final int GetCreditsInfo = 8;
	public static final int MessengerInit = 12;
	public static final int FriendListUpdate = 15;
	public static final int AddFavouriteRoom = 19;
	public static final int DeleteFavouriteRoom = 20;
	public static final int DeleteRoom = 23;
	public static final int ScrGetUserInfo = 26;
	public static final int CreateFlat = 29;
	public static final int SendMsg = 33;
	public static final int SendRoomInvite = 34;
	public static final int AcceptBuddy = 37;
	public static final int DeclineBuddy = 38;
	public static final int RequestBuddy = 39;
	public static final int RemoveBuddy = 40;
	public static final int HabboSearch = 41;
	public static final int ApproveName = 42;
	public static final int UpdateFigureData = 44;
	public static final int Chat = 52;
	public static final int Quit = 53;
	public static final int Shout = 55;
	public static final int Whisper = 56;
	public static final int GoToFlat = 59;
	public static final int PickupObject = 67;
	public static final int UnacceptTrading = 68;
	public static final int AcceptTrading = 69;
	public static final int CloseTrading = 70;
	public static final int OpenTrading = 71;
	public static final int AddItemToTrade = 72;
	public static final int MoveObject = 73;
	public static final int SetObjectData = 74;
	public static final int MoveAvatar = 75;
	public static final int ThrowDice = 76;
	public static final int DiceOff = 77;
	public static final int PresentOpen = 78;
	public static final int LookTo = 79;
	public static final int GetItemData = 83;
	public static final int SetItemData = 84;
	public static final int RemoveItem = 85;
	public static final int PlaceObject = 90;
	public static final int MoveWallItem = 91;
	public static final int Dance = 93;
	public static final int Wave = 94;
	public static final int KickUser = 95;
	public static final int AssignRights = 96;
	public static final int RemoveRights = 97;
	public static final int LetUserIn = 98;
	public static final int PurchaseFromCatalog = 100;
	public static final int GetCatalogIndex = 101;
	public static final int GetCatalogPage = 102;
	public static final int Sign = 104;
	public static final int ExitLockerRoom = 108;
	public static final int ChangeRoom = 111;
	public static final int VoteAnswer = 112;
	public static final int TryBus = 113;
	public static final int GetRoomAd = 126;
	public static final int RedeemVoucher = 129;
	public static final int GetUserFlatCats = 151;
	public static final int RemoveAllRights = 155;
	public static final int GetBadges = 157;
	public static final int SetActivatedBadges = 158;
	public static final int GetSelectedBadges = 159;
	public static final int GetInterstitial = 182;
	public static final int CreditFurniRedeem = 183;
	public static final int Pong = 196;
	public static final int ModeratorAction = 200;
	public static final int InitCrypto = 206;
	public static final int ChangeQueue = 211;
	public static final int GetFurnitureAliases = 215;
	public static final int GetSongInfo = 221;
	public static final int GetSoundSettings = 228;
	public static final int SetSoundSettings = 229;
	public static final int GetHabboGroupBadges = 230;
	public static final int GetHabboGroupDetails = 231;
	public static final int EnterOneWayDoor = 232;
	public static final int GetBuddyRequests = 233;
	public static final int PollStart = 234;
	public static final int PollReject = 235;
	public static final int PollAnswer = 236;
	public static final int GetPendingCallsForHelp = 237;
	public static final int DeletePendingCallsForHelp = 238;
	public static final int GetSoundMachinePlayList = 245;
	public static final int SpinWheelOfFortune = 247;
	public static final int GetNowPlaying = 249;
	public static final int AddJukeboxDisk = 255;
	public static final int RemoveJukeboxDisk = 256;
	public static final int GetJukeboxPlayList = 258;
	public static final int GetUserSongDisks = 259;
	public static final int RateFlat = 261;
	public static final int FollowFriend = 262;
	public static final int GetUserTags = 263;
	public static final int SetRandomState = 314;
	public static final int LatencyPingRequest = 315;
	public static final int LatencyPingReport = 316;
	public static final int StartTyping = 317;
	public static final int CancelTyping = 318;
	public static final int IgnoreUser = 319;
	public static final int BanUser = 320;
	public static final int GetIgnoredUsers = 321;
	public static final int UnignoreUser = 322;
	public static final int RoomDimmerGetPresets = 341;
	public static final int RoomDimmerSavePreset = 342;
	public static final int RoomDimmerChangeState = 343;
	public static final int CanCreateEvent = 345;
	public static final int CreateEvent = 346;
	public static final int CancelEvent = 347;
	public static final int EditEvent = 348;
	public static final int GetAchievements = 370;
	public static final int RespectUser = 371;
	public static final int AvatarEffectSelected = 372;
	public static final int AvatarEffectActivated = 373;
	public static final int GetWardrobe = 375;
	public static final int SaveWardrobeOutfit = 376;
	public static final int GetOfficialRooms = 380;
	public static final int GetPopularRoomTags = 382;
	public static final int UpdateNavigatorSettings = 384;
	public static final int GetGuestRoom = 385;
	public static final int UpdateRoomThumbnail = 386;
	public static final int CanCreateRoom = 387;
	public static final int GetPublicSpaceCastLibs = 388;
	public static final int GetRoomEntryData = 390;
	public static final int OpenFlatConnection = 391;
	public static final int UseFurniture = 392;
	public static final int UseWallItem = 393;
	public static final int GetRoomSettings = 400;
	public static final int SaveRoomSettings = 401;
	public static final int ConfirmAcceptTrading = 402;
	public static final int ConfirmDeclineTrading = 403;
	public static final int RequestFurniInventory = 404;
	public static final int RemoveItemFromTrade = 405;
	public static final int GetRecyclerPrizes = 412;
	public static final int GetRecyclerStatus = 413;
	public static final int RecycleItems = 414;
	public static final int SSOTicket = 415;
	public static final int GetClientFaqs = 416;
	public static final int GetFaqCategories = 417;
	public static final int GetFaqText = 418;
	public static final int SearchFaqs = 419;
	public static final int GetFaqCategory = 420;
	public static final int PerformanceLog = 421;
	public static final int LagWarningReport = 422;
	public static final int PopularRoomsSearch = 430;
	public static final int RoomsWithHighestScoreSearch = 431;
	public static final int MyFriendsRoomsSearch = 432;
	public static final int RoomsWhereMyFriendsAreSearch = 433;
	public static final int MyRoomsSearch = 434;
	public static final int MyFavouriteRoomsSearch = 435;
	public static final int MyRoomHistorySearch = 436;
	public static final int RoomTextSearch = 437;
	public static final int RoomTagSearch = 438;
	public static final int LatestEventsSearch = 439;
	public static final int CallGuideBot = 440;
	public static final int KickBot = 441;
	public static final int PickIssues = 450;
	public static final int ReleaseIssues = 451;
	public static final int CloseIssues = 452;
	public static final int CallForHelp = 453;
	public static final int GetModeratorUserInfo = 454;
	public static final int GetUserChatlog = 455;
	public static final int GetRoomChatlog = 456;
	public static final int GetCfhChatlog = 457;
	public static final int GetRoomVisits = 458;
	public static final int GetModeratorRoomInfo = 459;
	public static final int ModerateRoom = 460;
	public static final int ModAlert = 461;
	public static final int ModMessage = 462;
	public static final int ModKick = 463;
	public static final int ModBan = 464;
	public static final int ChangeUserName = 470;
	public static final int CheckUserName = 471;
	public static final int PurchaseFromCatalogAsGift = 472;
	public static final int GetGiftWrappingConfiguration = 473;
	public static final int SelectClubGift = 475;
	public static final int SetClothingChangeData = 480;
	public static final int GetAchievementShareId = 481;
	public static final int EventLog = 482;
	public static final int ToggleStaffPick = 483;
	public static final int ChangeMotto = 484;
	public static final int FindNewFriends = 490;
	public static final int GetEventStream = 500;
	public static final int SetEventStreamingAllowed = 501;
	public static final int Disconnect = 512;
	public static final int TryLogin = 756;
	public static final int UniqueID = 813;
	public static final int VersionCheck = 1170;
	public static final int GetSessionParameters = 1817;
	public static final int GenerateSecretKey = 2002;
	public static final int GetPetInventory = 3000;
	public static final int GetPetInfo = 3001;
	public static final int PlacePet = 3002;
	public static final int RemovePetFromFlat = 3003;
	public static final int GetPetCommands = 3004;
	public static final int RespectPet = 3005;
	public static final int OpenPetPackage = 3006;
	public static final int GetSellablePetBreeds = 3007;
	public static final int MakeOffer = 3010;
	public static final int GetMarketplaceConfiguration = 3011;
	public static final int GetMarketplaceCanMakeOffer = 3012;
	public static final int BuyMarketplaceTokens = 3013;
	public static final int BuyOffer = 3014;
	public static final int CancelOffer = 3015;
	public static final int RedeemOfferCredits = 3016;
	public static final int GetOffers = 3018;
	public static final int GetOwnOffers = 3019;
	public static final int GetMarketplaceItemStats = 3020;
	public static final int GetIsOfferGiftable = 3030;
	public static final int GetClubOffers = 3031;
	public static final int GetBadgePointLimits = 3032;
	public static final int MarkCatalogNewAdditionsPageOpened = 3034;
	public static final int GetHabboClubExtendOffer = 3035;
	public static final int PurchaseVipMembershipExtension = 3036;
	public static final int PurchaseBasicMembershipExtension = 3037;
	public static final int GetHabboBasicMembershipExtendOffer = 3038;
	public static final int UpdateTrigger = 3050;
	public static final int UpdateAction = 3051;
	public static final int UpdateCondition = 3052;
	public static final int Open = 3053;
	public static final int ApplySnapshot = 3054;
	public static final int QuestVendingWallItem = 3100;
	public static final int GetQuests = 3101;
	public static final int AcceptQuest = 3102;
	public static final int ViralTeaserFound = 3103;
	public static final int ViralFurniStatus = 3104;
	public static final int GetUserNotifications = 3105;
	public static final int RejectQuest = 3106;
	public static final int OpenQuestTracker = 3107;
	public static final int StartCampaign = 3108;
	public static final int GetMOTD = 3110;
	public static final int ResetUnseenItems = 3111;
	public static final int FriendRequestQuestComplete = 3210;
	public static final int OpenWelcomeGift = 3252;
	public static final int ChangeEmail = 3253;
	public static final int PlacePostIt = 3254;
	public static final int AddSpamWallPostIt = 3255;
	public static final int FaceBookIsLoggedOn = 3300;
	public static final int FaceBookIsLoggedOff = 3301;
	public static final int FaceBookInitiateAddFriendsMessag = 3311;
}
