package habbod2.communication.messages.incoming.room.avatar;

import habbod2.net.protocol.ClientMessage;
import habbod2.communication.RequestHandler;
import habbod2.game.rooms.instances.RoomTile;
import habbod2.game.sessions.Session;

public class LookToHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request)
	{
		if(session.inRoom())
		{
			RoomTile tile = session.getRoomInstance().getMap().getTile(request.readInt(), request.readInt());
			if(tile != null)
			{
				session.getRoomUser().lookTo(tile, false);
			}
		}
	}
}
