package habbod2.communication.messages.incoming.room.engine;

import habbod2.net.protocol.ClientMessage;
import habbod2.communication.RequestHandler;
import habbod2.communication.messages.outgoing.room.engine.RoomEntryInfoMessageComposer;
import habbod2.game.rooms.instances.RoomInstance;
import habbod2.game.sessions.Session;

public class GetRoomEntryDataHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request)
	{
		RoomInstance room = session.getRoomInstance();
		if(room != null)
		{
			boolean showOwnerInterface = session.getUser().id == room.getInfo().ownerId;
			session.send(RoomEntryInfoMessageComposer.compose(room, showOwnerInterface));
		}
	}
}
