package habbod2.communication.messages.incoming.roomsettings;

import habbod2.net.protocol.ClientMessage;
import habbod2.communication.RequestHandler;
import habbod2.communication.messages.outgoing.roomsettings.RoomSettingsDataMessageComposer;
import habbod2.game.rooms.instance.RoomInstance;
import habbod2.game.sessions.Session;

public class GetRoomSettingsHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request)
	{
		RoomInstance room = session.getRoom();
		session.send(RoomSettingsDataMessageComposer.compose(room.getInfo(), room.getUsersWithRights()));
	}
}
