package habbod2.communication.messages.outgoing.avatar;

import habbod2.communication.messages.EServerMessage;
import habbod2.net.protocol.ServerMessage;

public class CheckUserNameResultMessageComposer
{
	public static final int AVAILABLE = 0;
	public static final int TOO_SHORT = 2;
	public static final int TOO_LONG = 3;
	public static final int UNAVAILABLE = 4;
	public static final int UNAVAILABLE_WITH_ALTERNATIVES = 5;
	
	public static ServerMessage compose(String username, int result)
	{
		ServerMessage msg = ServerMessage.create(EServerMessage.CheckUserNameResult);
		msg.appendInt(result);
		msg.appendStr(username);
		
		return msg;
	}
}
