package habbod2.communication.messages.outgoing.friendlist;

import habbod2.communication.EServerMessage;
import habbod2.net.protocol.ServerMessage;
import habbod2.game.messenger.MessengerBuddy;

import java.util.Collection;

public class FriendListUpdateMessageComposer
{
	public static ServerMessage compose(Collection<MessengerBuddy> buddies)
	{
		ServerMessage msg = ServerMessage.create(EServerMessage.FriendListUpdate);
		msg.appendInt(0);
		msg.appendInt(buddies.size());
		msg.appendInt(0);
		for(MessengerBuddy buddy : buddies)
		{
			MessengerInitMessageComposer.serializeBuddy(buddy, msg);
			msg.appendBool(false);
		}
		
		return msg;
	}
	
	public static ServerMessage compose(MessengerBuddy userToRemove)
	{
		ServerMessage msg = ServerMessage.create(EServerMessage.FriendListUpdate);
		msg.appendInt(0);
		msg.appendInt(1);
		msg.appendInt(-1);
		msg.appendInt(userToRemove.userId);
		
		return msg;
	}
}
