package habbod2.communication.messages.outgoing.marketplace;

import habbod2.communication.messages.EServerMessage;
import habbod2.net.protocol.ServerMessage;

public class MarketplaceCanMakeOfferMessageComposer
{
	public static ServerMessage compose(boolean canMakeOffer, int maxPrice)
	{
		ServerMessage msg = ServerMessage.create(EServerMessage.MarketplaceCanMakeOfferResult);
		msg.appendBool(canMakeOffer);
		msg.appendInt(maxPrice);
		
		return msg;
	}
}
