package habbod2.communication.messages.outgoing.navigator;

import java.util.Collection;

import habbod2.communication.messages.EServerMessage;
import habbod2.game.rooms.navigator.RoomCategory;
import habbod2.net.protocol.ServerMessage;

public class UserFlatCatsMessageComposer
{
	public static ServerMessage compose(Collection<RoomCategory> categories)
	{
		ServerMessage msg = ServerMessage.create(EServerMessage.UserFlatCats);
		msg.appendInt(categories.size());
		for(RoomCategory category : categories)
		{
			msg.appendInt(category.id);
			msg.appendStr(category.name);
			msg.appendStr(""); // ??
		}
		
		return msg;
	}
}
