package habbod2.communication.messages.outgoing.notifications;

import habbod2.communication.messages.EServerMessage;
import habbod2.game.users.achievements.Achievement;
import habbod2.net.protocol.ServerMessage;

public class AchievementNotificationMessageComposer
{
	public static ServerMessage compose(Achievement ach, int level, int rewardPixels, int rewardPoints)
	{
		ServerMessage msg = ServerMessage.create(EServerMessage.AchievementNotification);
		msg.appendInt(ach.id);
		msg.appendInt(level);
		msg.appendInt(1337);
		msg.appendStr(ach.group + level);
		msg.appendInt(rewardPoints);
		msg.appendInt(rewardPixels);
		msg.appendInt(0);
		msg.appendInt(10);
		msg.appendInt(21);
		msg.appendStr((level > 1) ? ach.group + (level - 1) : "");
		msg.appendStr(ach.category);
		
		return msg;
	}
}
