package habbod2.communication.messages.outgoing.notifications;

import habbod2.net.protocol.ServerMessage;
import habbod2.communication.messages.EServerMessage;

public class ActivityPointsMessageComposer
{
	public static ServerMessage compose(int pixels, int pearls)
	{
		ServerMessage msg = ServerMessage.create(EServerMessage.ActivityPoints);
		
		// Number of currencies
		msg.appendInt(2);
		
		// Pixels
		msg.appendInt(0);
		msg.appendInt(pixels);
		
		// Pearls
		msg.appendInt(4);
		msg.appendInt(pearls);
		
		return msg;
	}
}
