package habbod2.communication.messages.outgoing.room.chat;

import habbod2.net.protocol.ServerMessage;
import habbod2.communication.messages.EServerMessage;
import habbod2.game.rooms.instances.RoomAvatar;

public class ChatMessageComposer
{
	public static ServerMessage compose(RoomAvatar avatar, String message, int gesture)
	{
		ServerMessage msg = ServerMessage.create(EServerMessage.Chat);
		msg.appendInt(avatar.avatarId);
		msg.appendStr(message);
		msg.appendInt(gesture);
		
		return msg;
	}
}
