package habbod2.communication.messages.outgoing.room.engine;

import java.util.List;

import habbod2.communication.messages.EServerMessage;
import habbod2.net.protocol.ServerMessage;
import habbod2.game.rooms.items.RoomFloorItem;

public class ObjectsDataUpdateMessageComposer
{
	public static ServerMessage compose(List<RoomFloorItem> items)
	{
		ServerMessage msg = ServerMessage.create(EServerMessage.ObjectsDataUpdate);
		msg.appendInt(items.size());
		for(RoomFloorItem item : items)
		{
			msg.appendInt(item.id);
			msg.appendStr(item.state);
		}
		
		return msg;
	}
}
