package habbod2.communication.messages.outgoing.room.engine;

import habbod2.communication.EServerMessage;
import habbod2.net.protocol.ServerMessage;
import habbod2.game.rooms.navigator.RoomEvent;

public class RoomEventMessageComposer
{
	public static ServerMessage compose(RoomEvent event)
	{
		ServerMessage msg = ServerMessage.create(EServerMessage.RoomEvent);
		if(event == null)
		{
			msg.appendStr("-1");
		}
		else
		{
			msg.appendStr(event.room.ownerId);
			msg.appendStr(event.room.name);
			msg.appendStr(event.room.id);
			msg.appendInt(event.categoryId);
			msg.appendStr(event.name);
			msg.appendStr(event.description);
			msg.appendStr(event.startTime);
			msg.appendStrList(event.tags);
		}
		
		return msg;
	}
}
