package habbod2.communication.messages.outgoing.room.furniture;

import habbod2.net.protocol.ServerMessage;
import habbod2.communication.EServerMessage;
import habbod2.game.rooms.items.wall.RoomDimmerItem;

public class RoomDimmerPresetsMessageComposer
{
	public static ServerMessage compose(RoomDimmerItem dimmer)
	{
		ServerMessage msg = ServerMessage.create(EServerMessage.RoomDimmerPresets);
		msg.appendInt(dimmer.getPresets().length);
		msg.appendInt(dimmer.currentPreset);
		for(RoomDimmerItem.Preset preset : dimmer.getPresets())
		{
			msg.appendInt(preset.id);
			msg.appendInt(preset.backgroundOnly ? 2 : 1);
			msg.appendStr(preset.color);
			msg.appendInt(preset.intensity);
		}
		
		return msg;
	}
}
