package habbod2.communication.messages.outgoing.room.pets;

import habbod2.net.protocol.ServerMessage;
import habbod2.communication.EServerMessage;
import habbod2.game.items.pets.Pet;

public class PetCommandsMessageComposer
{
	public static ServerMessage compose(Pet pet, int commands)
	{
		ServerMessage msg = ServerMessage.create(EServerMessage.PetCommands);
		msg.appendInt(pet.id);
		msg.appendInt(commands);
		for(int cmd = 0; cmd <= commands; cmd++)
		{
			msg.appendInt(cmd);
		}
		for(int cmd = 0; cmd < pet.level; cmd++)
		{
			msg.appendInt(cmd);
		}
		
		return msg;
	}
}
