package habbod2.communication.messages.outgoing.room.session;

import habbod2.communication.messages.EServerMessage;
import habbod2.game.rooms.Room;
import habbod2.net.protocol.ServerMessage;

public class RoomForwardMessageComposer
{
	public static ServerMessage compose(Room room)
	{
		ServerMessage msg = ServerMessage.create(EServerMessage.RoomForward);
		msg.appendBool(room.isPublicRoom());
		msg.appendInt(room.id);

		return msg;
	}
}
