package habbod2.communication.messages.outgoing.room.session;

import habbod2.communication.messages.EServerMessage;
import habbod2.game.rooms.instances.RoomInstance;
import habbod2.net.protocol.ServerMessage;

public class RoomReadyMessageComposer
{
	public static ServerMessage compose(RoomInstance instance)
	{
		ServerMessage msg = ServerMessage.create(EServerMessage.RoomReady);
		msg.appendStr(instance.getModel().name);
		msg.appendInt(instance.getInfo().id);
		
		return msg;
	}
}
