package habbod2.communication.messages.outgoing.roomsettings;

import habbod2.communication.messages.EServerMessage;
import habbod2.game.rooms.instance.RoomInstance;
import habbod2.net.protocol.ServerMessage;

public class FlatControllerRemovedMessageComposer
{
	public static ServerMessage compose(RoomInstance instance, int userId)
	{
		ServerMessage msg = ServerMessage.create(EServerMessage.FlatControllerRemoved);
		msg.appendStr(instance.getInfo().id);
		msg.appendInt(userId);
		
		return msg;
	}
}
