package habbod2.communication.messages.outgoing.users;

import java.util.Collection;

import habbod2.net.protocol.ServerMessage;
import habbod2.communication.messages.EServerMessage;
import habbod2.game.users.groups.UserGroup;

public class GroupBadgesMessageComposer
{
	public static ServerMessage compose(Collection<UserGroup> groups)
	{
		ServerMessage msg = ServerMessage.create(EServerMessage.GroupBadges);
		msg.appendInt(groups.size());
		for(UserGroup group : groups)
		{
			msg.appendInt(group.id);
			msg.appendStr(group.badge);
		}
		
		return msg;
	}
}
