package habbod2.communication.messages.outgoing.users;

import java.util.Map;

import habbod2.net.protocol.ServerMessage;
import habbod2.communication.EServerMessage;

public class IgnoredUsersMessageComposer
{
	public static ServerMessage compose(Map<Integer, String> users)
	{
		ServerMessage msg = ServerMessage.create(EServerMessage.IgnoredUsers);
		msg.appendInt(users.size());
		for(String username : users.values())
		{
			msg.appendStr(username);
		}
		
		return msg;
	}
}
