package habbod2.storage;

public class DatabaseEndpoint
{
	public final String user;
	public final String password;
	public final String url;
	public final String driver;
	public final int maxConnections;

	public DatabaseEndpoint(String user, String password, String url, String driver, int maxConnections)
	{
		this.user = user;
		this.password = password;
		this.url = url;
		this.driver = driver;
		this.maxConnections = maxConnections;
	}
	
	public String toString()
	{
		return this.url;
	}
}
