package habbod2.util;

import habbod2.net.protocol.ServerMessage;

public class SecurityUtil
{
	private static final char REPLACEMENT_CHAR = ' ';

	public static String filterStr(String str)
	{
		return filterStr(str, false);
	}
	
	public static String filterStr(String str, boolean allowNewLines)
	{
		str = str.replace((char) ServerMessage.MSG_EOF, REPLACEMENT_CHAR);
		str = str.replace((char) 2, REPLACEMENT_CHAR);
		str = str.replace((char) 3, REPLACEMENT_CHAR);
		str = str.replace((char) 9, REPLACEMENT_CHAR);
		if(!allowNewLines)
		{
			str = str.replace((char) 13, REPLACEMENT_CHAR);
		}
		
		return str;
	}
}
