package habbod2.game.moderation;

import habbod2.game.util.GameError;

public class ModerationActionError extends GameError
{
	private static final long serialVersionUID = 1L;

	public ModerationActionError(String message)
	{
		super(message);
	}
	
	@Override
	public String generateNotif()
	{
		return String.format("Moderation action failed, reason: %s.", this.getMessage());
	}
}
