package habbod2.game.rooms.geometry;

public class RotationCalculator
{
	public static final byte calculateDirection(int x, int y, int tileX, int tileY)
	{
		byte result = 0;
		if(x > tileX && y > tileY)
		{
			result = 7;
		}
		else if(x < tileX && y < tileY)
		{
			result = 3;
		}
		else if(x > tileX && y < tileY)
		{
			result = 5;
		}
		else if(x < tileX && y > tileY)
		{
			result = 1;
		}
		else if(x > tileX)
		{
			result = 6;
		}
		else if(x < tileX)
		{
			result = 2;
		}
		else if(y < tileY)
		{
			result = 4;
		}
		else if(y > tileY)
		{
			result = 0;
		}
		return result;
	}

	public static final byte calcAvatarMoveDirection(int x, int y, int x2, int y2)
	{
		if(x == x2)
		{
			if(y < y2) return 4;
			else return 0;
		}
		else if(x > x2)
		{
			if(y == y2) return 6;
			else if(y < y2) return 5;
			else return 7;
		}
		else if(x < x2)
		{
			if(y == y2) return 2;
			else if(y < y2) return 3;
			else return 1;
		}

		return 0;
	}
	
	public static final int[] getDirections(byte facing)
	{
		switch(facing)
		{
			// North
			case 0: return new int[] { 0, -1 };
			
			// NorthEast
			case 1: return new int[] { -1, +1 };
			
			// East
			case 2: return new int[] { +1, 0 };
			
			// SouthEast
			case 3: return new int[] { +1, +1 };
			
			// South
			case 4: return new int[] { 0, +1 };
			case 5: return new int[] { -1, +1 };
			
			// West
			case 6: return new int[] { -1, 0 };
			
			case 7: return new int[] { -1, -1 };
			
			//Direction.SouthEast.poof = 5;
			// No change
			default: return new int[] { 0, 0 };
		}
	}
}
