package habbod2.game.rooms.items;

import habbod2.Instance;
import habbod2.communication.messages.outgoing.room.engine.ItemUpdateMessageComposer;
import habbod2.game.rooms.Room;
import habbod2.storage.SQLHelper;

public abstract class RoomWallItem extends RoomItem
{
	public String position;
	
	@Override
	public void refreshState(boolean isTemporarily)
	{
		this.getRoom().broadcast(ItemUpdateMessageComposer.compose(this));
	}
	
	@Override
	public void update()
	{
		Room room = this.getRoom().getInfo();
		Instance.get().getDb().execute("UPDATE items SET owner_id=" + room.ownerId + ",room_id=" + room.id + ",wallposition='" + SQLHelper.escape(this.position) + "',state='" + SQLHelper.escape(this.state) + "',data='" + SQLHelper.escape(this.data) + "' WHERE id=" + this.id);
 	}
}
