package habbod2.game.rooms.items.minigame.banzai;

import habbod2.game.rooms.items.RoomFloorItem;
import habbod2.game.rooms.minigames.GameTeam.ETeam;

public class ApparatusItem extends RoomFloorItem
{
	// 0 = off, 1 = on, 2 = on, 3 = noise, 4 = Red, 5 = Green, 6 = Blue, 7 = Yellow
	
	// als rood voor ligt -> 4
	// als groen voor ligt -> 5
	// als blauw voor ligt -> 6
	// als geel voor ligt -> 7
	public void enable()
	{
		this.setState(1);
	}
	
	public void disable()
	{
		this.setState(0);
	}
	
	public void showLeader(ETeam teamId)
	{
		if(teamId != null)
		{
			this.setState("1" + teamId.ordinal());
		}
		else
		{
			this.setState("1");
		}
	}
	
	public void showWinner(ETeam teamId)
	{
		if(teamId != null)
		{
			this.setState("2" + teamId.ordinal());
		}
		else
		{
			this.setState("3");
		}
	}
	
	@Override
	protected void onTimeout()
	{
		this.disable();
	}
}
