package habbod2.game.rooms.items.wired.triggers;

import habbod2.game.rooms.items.wired.WiredTrigger;

public class TimerResetTrigger extends WiredTrigger
{
	public static final int PARAM_TIME = 0;
	
	@Override
	public int getInterface()
	{
		return 3;
	}
	
	@Override
	protected int getAmountOfParams()
	{
		return 1;
	}
	
	@Override
	protected boolean suppliesUser()
	{
		return false;
	}
	
	@Override
	protected void onTimeout()
	{
		this.execute(null);
	}
	
	public void timerReset()
	{
		int pulses = this.getParam(PARAM_TIME);
		if(pulses > 0)
		{
			this.setTimeout(pulses);
		}
	}
}
