package habbod2.communication.messages.incoming.help;

import habbod2.Instance;
import habbod2.net.protocol.ClientMessage;
import habbod2.communication.RequestHandler;
import habbod2.communication.messages.outgoing.help.FaqTextMessageComposer;
import habbod2.game.help.HelpTool;
import habbod2.game.help.HelpTopic;
import habbod2.game.sessions.Session;

public class GetFaqTextHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request)
	{
		// Get requested topic
		HelpTool tool = Instance.get().getGameMgr().getHelpTool();
		HelpTopic topic = tool.getTopic(request.readInt());
		
		// Send requested topic
		if(topic != null)
		{
			session.send(FaqTextMessageComposer.compose(topic));
		}
	}

}
