package habbod2.communication.messages.incoming.inventory.trading;

import habbod2.net.protocol.ClientMessage;
import habbod2.communication.RequestHandler;
import habbod2.game.items.trading.Trade;
import habbod2.game.rooms.instance.RoomActor;
import habbod2.game.rooms.instance.RoomUser;
import habbod2.game.sessions.Session;

public class OpenTradingHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request)
	{
		if(session.inRoom())
		{
			RoomActor other = session.getRoom().getActorByActorId(request.readInt());
			if(other instanceof RoomUser)
			{
				Trade.create(session, ((RoomUser)other).getSession());
			}
		}
	}
}
