package habbod2.communication.messages.outgoing.catalog;

import habbod2.communication.messages.EServerMessage;
import habbod2.game.catalog.CatalogProduct;
import habbod2.net.protocol.ServerMessage;

public class PurchaseOKMessageComposer
{
	public static ServerMessage compose(CatalogProduct product)
	{
		ServerMessage msg = ServerMessage.create(EServerMessage.PurchaseOK);
		msg.appendInt(product.item.id);
		msg.appendStr(product.code);
		msg.appendInt(product.costCredits);
		msg.appendInt(product.costPixels);
		msg.appendInt(product.costQuestPoints);
		msg.appendInt(1);
		msg.appendStr(product.item.type);
		msg.appendInt(product.item.displayId);
		msg.appendStr("");
		msg.appendInt(1);
		msg.appendInt(-1);
		msg.appendStr("");
		
		return msg;
	}
}
