package habbod2.communication.messages.outgoing.room.engine;

import habbod2.communication.messages.EServerMessage;
import habbod2.net.protocol.ServerMessage;
import habbod2.game.pets.RoomPet;

public class PetExperienceMessageComposer
{
	public static ServerMessage compose(RoomPet pet, int experience)
	{
		ServerMessage msg = ServerMessage.create(EServerMessage.PetExperience);
		msg.appendInt(pet.getInfo().id);
		msg.appendInt(pet.actorId);
		msg.appendInt(experience);
		msg.appendStr(pet.getInfo().name);
		msg.appendInt(pet.getInfo().type.id);
		msg.appendInt(pet.getInfo().breed);
		msg.appendStr(pet.getInfo().color);
		
		return msg;
	}
}
