package habbod2.game.moderation;

import habbod2.Instance;
import habbod2.storage.SQLHelper;

public class ModerationTicket
{
	// Ticket statuses
	public static final int STATUS_OPEN = 0;
	public static final int STATUS_PICKED = 1;
	public static final int STATUS_RESOLVED = 2;
	public static final int STATUS_ABUSIVE = 3;
	public static final int STATUS_INVALID = 4;
	public static final int STATUS_DELETED = 5;

	// Ticket info
	public int id;
	public int type;
	public long timestamp;
	public String message;
	
	// Ticket sender
	public int userId;
	public String userUsername;
	
	// Reported user (optionally)
	public int reportedUserId;
	public String reportedUsername;
	
	// Associated room
	public int roomId;
	public String roomName;
	
	// Tickt status
	public int status;
	public int pickerId;
	public String pickerUsername;
	public int priority;
	
	public void saveStatus()
	{
		Instance.get().getDb().execute("UPDATE moderation_tickets SET status=" + this.status + ",picker_id=" + this.pickerId + ",lastupdate='" + SQLHelper.getDateTime() + "' WHERE id=" + this.id);
	}
}
