package habbod2.game.rooms.items.minigame.freeze;

import habbod2.game.rooms.instance.RoomActor;
import habbod2.game.rooms.instance.RoomUser;
import habbod2.game.rooms.items.RoomFloorItem;
import habbod2.game.rooms.minigames.game.FreezeGame;

public class GameOverTileItem extends RoomFloorItem
{
	@Override
	public void onActorStepOn(RoomActor actor)
	{
		super.onActorStepOn(actor);
		if(actor instanceof RoomUser)
		{
			RoomUser user = (RoomUser)actor;
			if(user.isPlayer() && this.getRoom().getGame() instanceof FreezeGame)
			{
				user.setPlayer(null);
			}
		}
	}
}
