package habbod2.game.rooms.items.pets;

import habbod2.game.rooms.instance.RoomUser;
import habbod2.util.StringUtil;

public class DrinkItem extends PetAccessoryItem
{	
	@Override
	public boolean isValid()
	{
		return (StringUtil.parseInt(this.state) > 0);
	}
	
	@Override
	protected void onToggle(RoomUser user, int instruction)
	{
		if(user == null || user.hasRoomRights)
		{
			this.setState(this.definition.states);
		}
	}
	
	public void reduce()
	{
		int remaining = StringUtil.parseInt(this.state);
		if(remaining > 0)
		{
			this.setState(remaining - 1);
		}
	}
}
