package habbod2.game.rooms.items.wall;

import habbod2.game.rooms.instance.RoomUser;
import habbod2.game.util.GameUtil;
import habbod2.game.rooms.items.RoomWallItem;

public class WheelOfFortuneItem extends RoomWallItem
{
	@Override
	protected void onToggle(RoomUser user, int instruction)
	{
		// Not already spinning yet?
		if(!this.hasTimeout())
		{
			// Start a new spin...
			this.setTempState(-1);
			this.setTimeout(10);
		}
	}

	@Override
	protected void onTimeout()
	{
		// Roll + save to a random number
		int roll = GameUtil.getRandomInt(1, 10);
		this.setState(roll);
	}
}
