package habbod2.game.rooms.items.wired.conditions;

import habbod2.game.rooms.instance.RoomUser;

public class UsernameCondition extends TextValueCondition
{
	private static final String DELIMITER = " ";
	
	@Override
	public boolean evaluate(RoomUser user)
	{
		if(user == null)
		{
			return true;
		}
		else
		{
			String[] usernames = this.getText().split(DELIMITER);
			for(String username : usernames)
			{
				if(user.getInfo().username.equals(username))
				{
					return true;
				}
			}
			
			return false;
		}
	}
}
